TAP version 13 not ok 1 - mocha v5.2.0 The canary is dead: ---
# > fsevents@1.2.4 install /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/fsevents
# > node install
# [fsevents] Success: "/private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/fsevents/lib/binding/Release/node-v48-darwin-x64/fse.node" already installed
# Pass --update-binary to reinstall or --build-from-source to recompile
# > uws@9.14.0 install /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/uws
# > node-gyp rebuild > build_log.txt 2>&1 || exit 0
# > canvas-prebuilt@2.0.0-alpha.14 install /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/canvas-prebuilt
# > node-pre-gyp install
# 404 status code downloading tarball https://github.com/chearon/node-canvas-prebuilt/releases/download/v2.0.0-alpha.14/canvas-prebuilt-v2.0.0-alpha.14-node-v48-darwin-unknown-x64.tar.gz
# > node-zopfli@2.0.2 install /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/node-zopfli
# > node-pre-gyp install --fallback-to-build
# [node-zopfli] Success: "/private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/node-zopfli/lib/binding/node-v48-darwin-x64/zopfli.node" already installed
# Pass --update-binary to reinstall or --build-from-source to recompile
# > sharp@0.20.8 install /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/sharp
# > (node install/libvips && node install/dll-copy && prebuild-install) || (node-gyp rebuild && node install/dll-copy)
# > wd@1.11.1 install /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/wd
# > node scripts/build-browser-scripts
# > husky@0.14.3 install /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/husky
# > node ./bin/install.js
# husky
# CI detected, skipping Git hooks installation
# > sauce-connect-launcher@1.2.4 postinstall /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/sauce-connect-launcher
# > node scripts/install.js || nodejs scripts/install.js
# > jpegtran-bin@3.0.4 postinstall /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/jpegtran-bin
# > node lib/install.js
# > optipng-bin@3.1.4 postinstall /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/optipng-bin
# > node lib/install.js
# > pngcrush-bin@3.0.0 postinstall /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/pngcrush-bin
# > node lib/install.js
# > pngquant-bin@3.1.1 postinstall /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/pngquant-bin
# > node lib/install.js
# mocha@5.2.0 /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha
# +-- @mocha/docdash@1.0.1
# +-- assetgraph-builder@6.4.2
# | +-- assetgraph@5.3.0
# | | +-- capitalize@1.0.0
# | | +-- common-path-prefix@1.0.0
# | | +-- createerror@1.3.0
# | | +-- css-font-parser@0.2.3
# | | +-- css-font-weight-names@0.2.1
# | | +-- css-list-helpers@2.0.0
# | | +-- cssnano@4.1.0
# | | | +-- cssnano-preset-default@4.0.6
# | | | | +-- css-declaration-sorter@4.0.1
# | | | | | `-- timsort@0.3.0
# | | | | +-- cssnano-util-raw-cache@4.0.1
# | | | | +-- postcss-calc@7.0.1
# | | | | | +-- css-unit-converter@1.1.1
# | | | | | `-- postcss-selector-parser@5.0.0
# | | | | | `-- cssesc@2.0.0
# | | | | +-- postcss-colormin@4.0.2
# | | | | +-- postcss-convert-values@4.0.1
# | | | | +-- postcss-discard-comments@4.0.1
# | | | | +-- postcss-discard-duplicates@4.0.2
# | | | | +-- postcss-discard-empty@4.0.1
# | | | | +-- postcss-discard-overridden@4.0.1
# | | | | +-- postcss-merge-longhand@4.0.10
# | | | | | +-- css-color-names@0.0.4
# | | | | | `-- stylehacks@4.0.1
# | | | | | `-- postcss-selector-parser@3.1.1
# | | | | +-- postcss-merge-rules@4.0.2
# | | | | | +-- caniuse-api@3.0.0
# | | | | | +-- cssnano-util-same-parent@4.0.1
# | | | | | `-- postcss-selector-parser@3.1.1
# | | | | +-- postcss-minify-font-values@4.0.2
# | | | | +-- postcss-minify-gradients@4.0.1
# | | | | | +-- cssnano-util-get-arguments@4.0.0
# | | | | | `-- is-color-stop@1.1.0
# | | | | | +-- hex-color-regex@1.1.0
# | | | | | +-- hsl-regex@1.0.0
# | | | | | +-- hsla-regex@1.0.0
# | | | | | +-- rgb-regex@1.0.1
# | | | | | `-- rgba-regex@1.0.0
# | | | | +-- postcss-minify-params@4.0.1
# | | | | | +-- alphanum-sort@1.0.2
# | | | | | `-- uniqs@2.0.0
# | | | | +-- postcss-minify-selectors@4.0.1
# | | | | | `-- postcss-selector-parser@3.1.1
# | | | | +-- postcss-normalize-charset@4.0.1
# | | | | +-- postcss-normalize-display-values@4.0.1
# | | | | | `-- cssnano-util-get-match@4.0.0
# | | | | +-- postcss-normalize-positions@4.0.1
# | | | | +-- postcss-normalize-repeat-style@4.0.1
# | | | | +-- postcss-normalize-string@4.0.1
# | | | | +-- postcss-normalize-timing-functions@4.0.1
# | | | | +-- postcss-normalize-unicode@4.0.1
# | | | | +-- postcss-normalize-url@4.0.1
# | | | | | +-- is-absolute-url@2.1.0
# | | | | | `-- normalize-url@3.3.0
# | | | | +-- postcss-normalize-whitespace@4.0.1
# | | | | +-- postcss-ordered-values@4.1.1
# | | | | +-- postcss-reduce-initial@4.0.2
# | | | | +-- postcss-reduce-transforms@4.0.1
# | | | | +-- postcss-svgo@4.0.1
# | | | | | `-- is-svg@3.0.0
# | | | | | `-- html-comment-regex@1.1.2
# | | | | `-- postcss-unique-selectors@4.0.1
# | | | `-- postcss@6.0.23
# | | +-- data-urls@1.1.0
# | | | +-- abab@2.0.0
# | | | +-- whatwg-mimetype@2.3.0
# | | | `-- whatwg-url@7.0.0
# | | | +-- lodash.sortby@4.7.0
# | | | `-- tr46@1.0.1
# | | +-- esprima@4.0.1
# | | +-- espurify@1.8.1
# | | +-- estraverse-fb@1.3.2
# | | +-- fontkit@1.7.7
# | | | +-- brfs@1.6.1
# | | | | +-- quote-stream@1.0.2
# | | | | | +-- buffer-equal@0.0.1
# | | | | | `-- minimist@1.2.0
# | | | | `-- static-module@2.2.5
# | | | | +-- escodegen@1.9.1
# | | | | | `-- esprima@3.1.3
# | | | | +-- falafel@2.1.0
# | | | | | +-- foreach@2.0.5
# | | | | | `-- isarray@0.0.1
# | | | | +-- magic-string@0.22.5
# | | | | | `-- vlq@0.2.3
# | | | | +-- merge-source-map@1.0.4
# | | | | | `-- source-map@0.5.7
# | | | | +-- object-inspect@1.4.1
# | | | | +-- shallow-copy@0.0.1
# | | | | `-- static-eval@2.0.0
# | | | +-- brotli@1.3.2
# | | | +-- browserify-optional@1.0.1
# | | | | +-- ast-transform@0.0.0
# | | | | | +-- escodegen@1.2.0
# | | | | | | +-- estraverse@1.5.1
# | | | | | | +-- esutils@1.0.0
# | | | | | | `-- source-map@0.1.43
# | | | | | | `-- amdefine@1.0.1
# | | | | | `-- esprima@1.0.4
# | | | | `-- ast-types@0.7.8
# | | | +-- clone@1.0.4
# | | | +-- deep-equal@1.0.1
# | | | +-- dfa@1.1.0
# | | | +-- restructure@0.5.4
# | | | +-- tiny-inflate@1.0.2
# | | | +-- unicode-properties@1.1.0
# | | | `-- unicode-trie@0.3.1
# | | | `-- pako@0.2.9
# | | +-- gettemporaryfilepath@1.0.0
# | | +-- html-minifier@3.5.21
# | | | +-- camel-case@3.0.0
# | | | | +-- no-case@2.3.2
# | | | | | `-- lower-case@1.1.4
# | | | | `-- upper-case@1.1.3
# | | | +-- clean-css@4.2.1
# | | | +-- commander@2.17.1
# | | | +-- he@1.2.0
# | | | +-- param-case@2.1.1
# | | | `-- relateurl@0.2.7
# | | +-- imageinfo@1.0.4
# | | +-- jsdom@12.2.0
# | | | +-- acorn@6.0.5
# | | | +-- acorn-globals@4.3.0
# | | | | `-- acorn@6.0.5
# | | | +-- array-equal@1.0.0
# | | | +-- cssom@0.3.4
# | | | +-- cssstyle@1.1.1
# | | | +-- domexception@1.0.1
# | | | +-- html-encoding-sniffer@1.0.2
# | | | +-- nwsapi@2.0.9
# | | | +-- parse5@5.1.0
# | | | +-- pn@1.1.0
# | | | +-- request-promise-native@1.0.5
# | | | | +-- request-promise-core@1.1.1
# | | | | `-- stealthy-require@1.1.1
# | | | +-- saxes@3.1.4
# | | | | `-- xmlchars@1.3.1
# | | | +-- symbol-tree@3.2.2
# | | | +-- tough-cookie@2.5.0
# | | | | `-- punycode@2.1.1
# | | | +-- w3c-hr-time@1.0.1
# | | | | `-- browser-process-hrtime@0.1.3
# | | | +-- webidl-conversions@4.0.2
# | | | +-- whatwg-encoding@1.0.5
# | | | +-- ws@6.1.2
# | | | | `-- async-limiter@1.0.0
# | | | `-- xml-name-validator@3.0.0
# | | +-- lines-and-columns@1.1.6
# | | +-- normalizeurl@1.0.0
# | | +-- perfectionist@2.4.0
# | | | +-- comment-regex@1.0.1
# | | | +-- minimist@1.2.0
# | | | +-- postcss@5.2.18
# | | | | +-- chalk@1.1.3
# | | | | | +-- ansi-styles@2.2.1
# | | | | | `-- supports-color@2.0.0
# | | | | +-- js-base64@2.5.0
# | | | | +-- source-map@0.5.7
# | | | | `-- supports-color@3.2.3
# | | | | `-- has-flag@1.0.0
# | | | +-- postcss-scss@0.3.1
# | | | | `-- postcss@5.2.18
# | | | | +-- chalk@1.1.3
# | | | | | +-- ansi-styles@2.2.1
# | | | | | `-- supports-color@2.0.0
# | | | | +-- source-map@0.5.7
# | | | | `-- supports-color@3.2.3
# | | | | `-- has-flag@1.0.0
# | | | +-- postcss-value-parser@3.3.1
# | | | +-- read-file-stdin@0.2.1
# | | | | `-- gather-stream@1.0.0
# | | | +-- string.prototype.repeat@0.2.0
# | | | +-- vendors@1.0.2
# | | | `-- write-file-stdout@0.0.2
# | | +-- postcss@7.0.7
# | | | `-- supports-color@5.5.0
# | | +-- postcss-values-parser@2.0.0
# | | | +-- flatten@1.0.2
# | | | +-- indexes-of@1.0.1
# | | | `-- uniq@1.0.1
# | | +-- read-pkg-up@4.0.0
# | | | +-- find-up@3.0.0
# | | | | `-- locate-path@3.0.0
# | | | | `-- p-locate@3.0.0
# | | | | `-- p-limit@2.1.0
# | | | | `-- p-try@2.0.0
# | | | `-- read-pkg@3.0.0
# | | | +-- load-json-file@4.0.0
# | | | `-- path-type@3.0.0
# | | +-- schemes@1.1.1
# | | +-- sift@6.0.0
# | | +-- specificity@0.4.1
# | | +-- sw-precache@5.2.1
# | | | +-- dom-urls@1.1.0
# | | | +-- es6-promise@4.2.5
# | | | +-- lodash.defaults@4.2.0
# | | | +-- lodash.template@4.4.0
# | | | | +-- lodash._reinterpolate@3.0.0
# | | | | `-- lodash.templatesettings@4.1.0
# | | | +-- meow@3.7.0
# | | | | +-- camelcase-keys@2.1.0
# | | | | | `-- camelcase@2.1.1
# | | | | +-- loud-rejection@1.6.0
# | | | | | `-- currently-unhandled@0.4.1
# | | | | | `-- array-find-index@1.0.2
# | | | | +-- map-obj@1.0.1
# | | | | +-- minimist@1.2.0
# | | | | +-- read-pkg-up@1.0.1
# | | | | | +-- find-up@1.1.2
# | | | | | | `-- path-exists@2.1.0
# | | | | | `-- read-pkg@1.1.0
# | | | | | +-- load-json-file@1.1.0
# | | | | | | +-- parse-json@2.2.0
# | | | | | | +-- pify@2.3.0
# | | | | | | `-- strip-bom@2.0.0
# | | | | | `-- path-type@1.1.0
# | | | | +-- redent@1.0.0
# | | | | | +-- indent-string@2.1.0
# | | | | | | `-- repeating@2.0.1
# | | | | | `-- strip-indent@1.0.1
# | | | | `-- trim-newlines@1.0.0
# | | | +-- pretty-bytes@4.0.2
# | | | +-- sw-toolbox@3.6.0
# | | | | +-- path-to-regexp@1.7.0
# | | | | | `-- isarray@0.0.1
# | | | | `-- serviceworker-cache-polyfill@4.0.0
# | | | `-- update-notifier@2.5.0
# | | | +-- boxen@1.3.0
# | | | | +-- ansi-align@2.0.0
# | | | | +-- camelcase@4.1.0
# | | | | +-- cli-boxes@1.0.0
# | | | | +-- term-size@1.2.0
# | | | | `-- widest-line@2.0.1
# | | | +-- configstore@3.1.2
# | | | | +-- dot-prop@4.2.0
# | | | | +-- make-dir@1.3.0
# | | | | +-- unique-string@1.0.0
# | | | | | `-- crypto-random-string@1.0.0
# | | | | `-- write-file-atomic@2.3.0
# | | | +-- import-lazy@2.1.0
# | | | +-- is-installed-globally@0.1.0
# | | | | +-- global-dirs@0.1.1
# | | | | `-- is-path-inside@1.0.1
# | | | +-- is-npm@1.0.0
# | | | +-- latest-version@3.1.0
# | | | | `-- package-json@4.0.1
# | | | | +-- got@6.7.1
# | | | | | +-- duplexer3@0.1.4
# | | | | | +-- timed-out@4.0.1
# | | | | | `-- unzip-response@2.0.1
# | | | | +-- registry-auth-token@3.3.2
# | | | | `-- registry-url@3.1.0
# | | | +-- semver-diff@2.1.0
# | | | `-- xdg-basedir@3.0.0
# | | +-- teepee@2.31.2
# | | | +-- bluebird@2.9.34
# | | | +-- createerror@1.2.0
# | | | +-- dnserrors@2.1.2
# | | | +-- form-data@2.1.4
# | | | +-- lodash.assign@4.2.0
# | | | +-- lodash.clone@4.5.0
# | | | +-- lodash.omit@4.5.0
# | | | +-- lodash.uniq@4.5.0
# | | | `-- socketerrors@0.3.0
# | | | +-- createerror@1.1.0
# | | | `-- httperrors@2.0.1
# | | +-- uglify-js@3.4.9
# | | | `-- commander@2.17.1
# | | `-- xmldom@0.1.27
# | +-- assetgraph-sprite@3.0.1
# | +-- bluebird@3.5.3
# | +-- browserslist@4.1.1
# | | +-- caniuse-lite@1.0.30000926
# | | +-- electron-to-chromium@1.3.96
# | | `-- node-releases@1.1.3
# | +-- chalk@2.4.1
# | | `-- ansi-styles@3.2.1
# | | `-- color-convert@1.9.3
# | | `-- color-name@1.1.3
# | +-- esanimate@1.1.0
# | | `-- esprima@2.7.3
# | +-- escodegen@1.11.0
# | | `-- esprima@3.1.3
# | +-- estraverse@4.2.0
# | +-- express-processimage@8.0.0
# | | +-- accepts@1.3.5
# | | | `-- negotiator@0.6.1
# | | +-- animated-gif-detector@1.2.0
# | | +-- UNMET PEER DEPENDENCY eslint@^5
# | | +-- eslint-config-pretty-standard@2.0.0
# | | | +-- eslint-plugin-promise@3.6.0
# | | | `-- eslint-plugin-react@7.10.0
# | | | +-- jsx-ast-utils@2.0.1
# | | | | `-- array-includes@3.0.3
# | | | `-- prop-types@15.6.2
# | | | `-- loose-envify@1.4.0
# | | | `-- js-tokens@4.0.0
# | | +-- exif-reader-paras20xx@1.1.1
# | | +-- gm-papandreou@1.23.0-patch1
# | | | +-- array-parallel@0.1.3
# | | | +-- array-series@0.1.5
# | | | +-- cross-spawn@4.0.2
# | | | | `-- lru-cache@4.1.5
# | | | `-- debug@2.2.0
# | | | `-- ms@0.7.1
# | | +-- hijackresponse@3.0.0
# | | +-- httperrors@2.2.0
# | | | `-- createerror@1.2.0
# | | +-- icc@1.0.0
# | | +-- inkscape@1.2.0
# | | | `-- async@0.2.9
# | | +-- mime@2.4.0
# | | +-- pngcrush@1.1.1
# | | | `-- gettemporaryfilepath@0.0.1
# | | +-- sharp@0.20.8
# | | | +-- color@3.1.0
# | | | | `-- color-string@1.5.3
# | | | | `-- simple-swizzle@0.2.2
# | | | | `-- is-arrayish@0.3.2
# | | | +-- detect-libc@1.0.3
# | | | +-- fs-copy-file-sync@1.1.1
# | | | +-- npmlog@4.1.2
# | | | | +-- are-we-there-yet@1.1.5
# | | | | | `-- delegates@1.0.0
# | | | | +-- console-control-strings@1.1.0
# | | | | `-- gauge@2.7.4
# | | | | +-- aproba@1.2.0
# | | | | +-- has-unicode@2.0.1
# | | | | +-- string-width@1.0.2
# | | | | | `-- is-fullwidth-code-point@1.0.0
# | | | | `-- wide-align@1.1.3
# | | | +-- prebuild-install@4.0.0
# | | | | +-- expand-template@1.1.1
# | | | | +-- github-from-package@0.0.0
# | | | | +-- minimist@1.2.0
# | | | | +-- node-abi@2.5.1
# | | | | +-- noop-logger@0.1.1
# | | | | +-- os-homedir@1.0.2
# | | | | +-- pump@2.0.1
# | | | | +-- tar-fs@1.16.3
# | | | | | `-- pump@1.0.3
# | | | | `-- which-pm-runs@1.0.0
# | | | +-- simple-get@2.8.1
# | | | | `-- decompress-response@3.3.0
# | | | | `-- mimic-response@1.0.1
# | | | `-- tar@4.4.8
# | | | +-- chownr@1.1.1
# | | | +-- fs-minipass@1.2.5
# | | | +-- minipass@2.3.5
# | | | | `-- yallist@3.0.3
# | | | +-- minizlib@1.2.1
# | | | `-- yallist@3.0.3
# | | `-- underscore@1.9.1
# | +-- extend@3.0.2
# | +-- jpegtran@1.0.5
# | | +-- jpegtran-bin@3.0.4
# | | | +-- bin-build@2.2.0
# | | | | +-- archive-type@3.2.0
# | | | | | `-- file-type@3.9.0
# | | | | +-- decompress@3.0.0
# | | | | | +-- buffer-to-vinyl@1.1.0
# | | | | | | `-- uuid@2.0.3
# | | | | | +-- decompress-tar@3.1.0
# | | | | | | +-- is-tar@1.0.0
# | | | | | | +-- object-assign@2.1.1
# | | | | | | +-- strip-dirs@1.1.1
# | | | | | | | +-- chalk@1.1.3
# | | | | | | | | +-- ansi-styles@2.2.1
# | | | | | | | | `-- supports-color@2.0.0
# | | | | | | | +-- is-natural-number@2.1.1
# | | | | | | | +-- minimist@1.2.0
# | | | | | | | `-- sum-up@1.0.3
# | | | | | | | `-- chalk@1.1.3
# | | | | | | | +-- ansi-styles@2.2.1
# | | | | | | | `-- supports-color@2.0.0
# | | | | | | +-- through2@0.6.5
# | | | | | | | `-- readable-stream@1.0.34
# | | | | | | | +-- isarray@0.0.1
# | | | | | | | `-- string_decoder@0.10.31
# | | | | | | `-- vinyl@0.4.6
# | | | | | | `-- clone@0.2.0
# | | | | | +-- decompress-tarbz2@3.1.0
# | | | | | | +-- is-bzip2@1.0.0
# | | | | | | +-- object-assign@2.1.1
# | | | | | | +-- seek-bzip@1.0.5
# | | | | | | | `-- commander@2.8.1
# | | | | | | +-- through2@0.6.5
# | | | | | | | `-- readable-stream@1.0.34
# | | | | | | | +-- isarray@0.0.1
# | | | | | | | `-- string_decoder@0.10.31
# | | | | | | `-- vinyl@0.4.6
# | | | | | | `-- clone@0.2.0
# | | | | | +-- decompress-targz@3.1.0
# | | | | | | +-- is-gzip@1.0.0
# | | | | | | +-- object-assign@2.1.1
# | | | | | | +-- through2@0.6.5
# | | | | | | | `-- readable-stream@1.0.34
# | | | | | | | +-- isarray@0.0.1
# | | | | | | | `-- string_decoder@0.10.31
# | | | | | | `-- vinyl@0.4.6
# | | | | | | `-- clone@0.2.0
# | | | | | +-- decompress-unzip@3.4.0
# | | | | | | +-- is-zip@1.0.0
# | | | | | | +-- stat-mode@0.2.2
# | | | | | | `-- yauzl@2.10.0
# | | | | | | `-- fd-slicer@1.1.0
# | | | | | | `-- pend@1.2.0
# | | | | | +-- vinyl-assign@1.2.1
# | | | | | `-- vinyl-fs@2.4.4
# | | | | | +-- duplexify@3.6.1
# | | | | | | `-- stream-shift@1.0.0
# | | | | | +-- glob-stream@5.3.5
# | | | | | | +-- glob@5.0.15
# | | | | | | +-- ordered-read-streams@0.3.0
# | | | | | | +-- through2@0.6.5
# | | | | | | | `-- readable-stream@1.0.34
# | | | | | | | +-- isarray@0.0.1
# | | | | | | | `-- string_decoder@0.10.31
# | | | | | | +-- to-absolute-glob@0.1.1
# | | | | | | `-- unique-stream@2.3.1
# | | | | | | `-- through2-filter@3.0.0
# | | | | | +-- gulp-sourcemaps@1.6.0
# | | | | | | `-- strip-bom@2.0.0
# | | | | | +-- is-valid-glob@0.3.0
# | | | | | +-- lodash.isequal@4.5.0
# | | | | | +-- merge-stream@1.0.1
# | | | | | +-- strip-bom@2.0.0
# | | | | | | `-- is-utf8@0.2.1
# | | | | | +-- strip-bom-stream@1.0.0
# | | | | | | +-- first-chunk-stream@1.0.0
# | | | | | | `-- strip-bom@2.0.0
# | | | | | +-- through2-filter@2.0.0
# | | | | | `-- vali-date@1.0.0
# | | | | +-- download@4.4.3
# | | | | | +-- caw@1.2.0
# | | | | | | +-- get-proxy@1.1.0
# | | | | | | +-- object-assign@3.0.0
# | | | | | | `-- tunnel-agent@0.4.3
# | | | | | +-- filenamify@1.2.1
# | | | | | | +-- filename-reserved-regex@1.0.0
# | | | | | | +-- strip-outer@1.0.1
# | | | | | | `-- trim-repeated@1.0.0
# | | | | | +-- got@5.7.1
# | | | | | | +-- create-error-class@3.0.2
# | | | | | | | `-- capture-stack-trace@1.0.1
# | | | | | | +-- is-redirect@1.0.0
# | | | | | | +-- is-retry-allowed@1.1.0
# | | | | | | +-- lowercase-keys@1.0.1
# | | | | | | +-- node-status-codes@1.0.0
# | | | | | | +-- parse-json@2.2.0
# | | | | | | +-- timed-out@3.1.3
# | | | | | | +-- unzip-response@1.0.2
# | | | | | | `-- url-parse-lax@1.0.0
# | | | | | | `-- prepend-http@1.0.4
# | | | | | +-- gulp-decompress@1.2.0
# | | | | | | `-- gulp-util@3.0.8
# | | | | | | +-- array-differ@1.0.0
# | | | | | | +-- array-uniq@1.0.3
# | | | | | | +-- beeper@1.1.1
# | | | | | | +-- chalk@1.1.3
# | | | | | | | +-- ansi-styles@2.2.1
# | | | | | | | `-- supports-color@2.0.0
# | | | | | | +-- dateformat@2.2.0
# | | | | | | +-- fancy-log@1.3.3
# | | | | | | | +-- ansi-gray@0.1.1
# | | | | | | | +-- color-support@1.1.3
# | | | | | | | +-- parse-node-version@1.0.0
# | | | | | | | `-- time-stamp@1.1.0
# | | | | | | +-- gulplog@1.0.0
# | | | | | | | `-- glogg@1.0.2
# | | | | | | +-- has-gulplog@0.1.0
# | | | | | | | `-- sparkles@1.0.1
# | | | | | | +-- lodash._reescape@3.0.0
# | | | | | | +-- lodash._reevaluate@3.0.0
# | | | | | | +-- lodash.template@3.6.2
# | | | | | | | +-- lodash._basecopy@3.0.1
# | | | | | | | +-- lodash._basetostring@3.0.1
# | | | | | | | +-- lodash._basevalues@3.0.0
# | | | | | | | +-- lodash._isiterateecall@3.0.9
# | | | | | | | +-- lodash.escape@3.2.0
# | | | | | | | | `-- lodash._root@3.0.1
# | | | | | | | +-- lodash.keys@3.1.2
# | | | | | | | | +-- lodash._getnative@3.9.1
# | | | | | | | | +-- lodash.isarguments@3.1.0
# | | | | | | | | `-- lodash.isarray@3.0.4
# | | | | | | | +-- lodash.restparam@3.6.1
# | | | | | | | `-- lodash.templatesettings@3.1.1
# | | | | | | +-- minimist@1.2.0
# | | | | | | +-- multipipe@0.1.2
# | | | | | | | `-- duplexer2@0.0.2
# | | | | | | | `-- readable-stream@1.1.14
# | | | | | | | +-- isarray@0.0.1
# | | | | | | | `-- string_decoder@0.10.31
# | | | | | | +-- object-assign@3.0.0
# | | | | | | `-- vinyl@0.5.3
# | | | | | +-- gulp-rename@1.4.0
# | | | | | +-- is-url@1.2.4
# | | | | | +-- read-all-stream@3.1.0
# | | | | | +-- vinyl@1.2.0
# | | | | | | +-- clone-stats@0.0.1
# | | | | | | `-- replace-ext@0.0.1
# | | | | | `-- ware@1.3.0
# | | | | | `-- wrap-fn@0.1.5
# | | | | | `-- co@3.1.0
# | | | | +-- exec-series@1.0.3
# | | | | | `-- async-each-series@1.1.0
# | | | | +-- tempfile@1.1.1
# | | | | | `-- uuid@2.0.3
# | | | | `-- url-regex@3.2.0
# | | | | `-- ip-regex@1.0.3
# | | | +-- bin-wrapper@3.0.2
# | | | | +-- bin-check@2.0.0
# | | | | | `-- executable@1.1.0
# | | | | +-- bin-version-check@2.1.0
# | | | | | +-- bin-version@1.0.4
# | | | | | | `-- find-versions@1.2.1
# | | | | | | `-- semver-regex@1.0.0
# | | | | | +-- minimist@1.2.0
# | | | | | +-- semver@4.3.6
# | | | | | `-- semver-truncate@1.1.2
# | | | | +-- each-async@1.1.1
# | | | | | +-- onetime@1.1.0
# | | | | | `-- set-immediate-shim@1.0.1
# | | | | +-- lazy-req@1.1.0
# | | | | `-- os-filter-obj@1.0.3
# | | | `-- logalot@2.1.0
# | | | `-- squeak@1.3.0
# | | | +-- chalk@1.1.3
# | | | | +-- ansi-styles@2.2.1
# | | | | `-- supports-color@2.0.0
# | | | +-- console-stream@0.1.1
# | | | `-- lpad-align@1.1.2
# | | | `-- longest@1.0.1
# | | +-- memoizeasync@0.9.0
# | | | `-- lru-cache@2.5.0
# | | `-- which@1.1.1
# | | `-- is-absolute@0.1.7
# | | `-- is-relative@0.1.3
# | +-- lodash@4.17.11
# | +-- memoizesync@1.1.1
# | | `-- lru-cache@2.3.1
# | +-- node-zopfli@2.0.2
# | | +-- defaults@1.0.3
# | | +-- nan@2.12.1
# | | `-- node-pre-gyp@0.6.39
# | | +-- hawk@3.1.3
# | | | +-- boom@2.10.1
# | | | +-- cryptiles@2.0.5
# | | | +-- hoek@2.16.3
# | | | `-- sntp@1.0.9
# | | +-- nopt@4.0.1
# | | | `-- osenv@0.1.5
# | | +-- request@2.81.0
# | | | +-- aws-sign2@0.6.0
# | | | +-- form-data@2.1.4
# | | | +-- har-validator@4.2.1
# | | | | +-- ajv@4.11.8
# | | | | | +-- co@4.6.0
# | | | | | `-- json-stable-stringify@1.0.1
# | | | | `-- har-schema@1.0.5
# | | | +-- http-signature@1.1.1
# | | | | `-- assert-plus@0.2.0
# | | | +-- oauth-sign@0.8.2
# | | | +-- performance-now@0.2.0
# | | | +-- qs@6.4.0
# | | | +-- stringstream@0.0.6
# | | | `-- tough-cookie@2.3.4
# | | | `-- punycode@1.4.1
# | | +-- tar@2.2.1
# | | | +-- block-stream@0.0.9
# | | | `-- fstream@1.0.11
# | | `-- tar-pack@3.4.1
# | | +-- debug@2.6.9
# | | +-- fstream-ignore@1.0.5
# | | +-- tar@2.2.1
# | | `-- uid-number@0.0.6
# | +-- optimist@0.6.1
# | | `-- wordwrap@0.0.3
# | +-- optipng@1.1.0
# | | +-- memoizeasync@1.0.0
# | | | `-- lru-cache@2.5.0
# | | +-- optipng-bin@3.1.4
# | | `-- which@1.2.14
# | +-- passerror@1.1.1
# | +-- pngcrush@2.0.0
# | | +-- memoizeasync@1.1.0
# | | | `-- lru-cache@2.5.0
# | | `-- pngcrush-bin@3.0.0
# | +-- pngquant@1.3.0
# | | +-- memoizeasync@1.0.0
# | | | `-- lru-cache@2.5.0
# | | +-- pngquant-bin@3.1.1
# | | `-- which@1.2.14
# | `-- urltools@0.4.1
# | `-- urijs@1.19.1
# +-- browser-stdout@1.3.1
# +-- browserify@16.2.3
# | +-- assert@1.4.1
# | | `-- util@0.10.3
# | | `-- inherits@2.0.1
# | +-- browser-pack@6.1.0
# | | +-- combine-source-map@0.8.0
# | | | +-- convert-source-map@1.1.3
# | | | +-- inline-source-map@0.6.2
# | | | | `-- source-map@0.5.7
# | | | +-- lodash.memoize@3.0.4
# | | | `-- source-map@0.5.7
# | | `-- umd@3.0.3
# | +-- browser-resolve@1.11.3
# | | `-- resolve@1.1.7
# | +-- browserify-zlib@0.2.0
# | | `-- pako@1.0.7
# | +-- buffer@5.2.1
# | | +-- base64-js@1.3.0
# | | `-- ieee754@1.1.12
# | +-- cached-path-relative@1.0.2
# | +-- concat-stream@1.6.2
# | | +-- buffer-from@1.1.1
# | | `-- typedarray@0.0.6
# | +-- console-browserify@1.1.0
# | | `-- date-now@0.1.4
# | +-- constants-browserify@1.0.0
# | +-- crypto-browserify@3.12.0
# | | +-- browserify-cipher@1.0.1
# | | | +-- browserify-aes@1.2.0
# | | | | `-- buffer-xor@1.0.3
# | | | +-- browserify-des@1.0.2
# | | | | `-- des.js@1.0.0
# | | | `-- evp_bytestokey@1.0.3
# | | +-- browserify-sign@4.0.4
# | | | +-- bn.js@4.11.8
# | | | +-- browserify-rsa@4.0.1
# | | | +-- elliptic@6.4.1
# | | | | +-- brorand@1.1.0
# | | | | +-- hash.js@1.1.7
# | | | | +-- hmac-drbg@1.0.1
# | | | | +-- minimalistic-assert@1.0.1
# | | | | `-- minimalistic-crypto-utils@1.0.1
# | | | `-- parse-asn1@5.1.1
# | | | `-- asn1.js@4.10.1
# | | +-- create-ecdh@4.0.3
# | | +-- create-hash@1.2.0
# | | | +-- cipher-base@1.0.4
# | | | +-- md5.js@1.3.5
# | | | | `-- hash-base@3.0.4
# | | | `-- ripemd160@2.0.2
# | | +-- create-hmac@1.1.7
# | | +-- diffie-hellman@5.0.3
# | | | `-- miller-rabin@4.0.1
# | | +-- pbkdf2@3.0.17
# | | +-- public-encrypt@4.0.3
# | | +-- randombytes@2.0.6
# | | `-- randomfill@1.0.4
# | +-- defined@1.0.0
# | +-- deps-sort@2.0.0
# | +-- domain-browser@1.2.0
# | +-- duplexer2@0.1.4
# | +-- events@2.1.0
# | +-- has@1.0.3
# | | `-- function-bind@1.1.1
# | +-- htmlescape@1.1.1
# | +-- https-browserify@1.0.0
# | +-- inherits@2.0.3
# | +-- insert-module-globals@7.2.0
# | | +-- acorn-node@1.6.2
# | | | +-- UNMET PEER DEPENDENCY acorn@6.0.5
# | | | +-- acorn-dynamic-import@4.0.0
# | | | `-- acorn-walk@6.1.1
# | | +-- is-buffer@1.1.6
# | | `-- undeclared-identifiers@1.1.2
# | | +-- get-assigned-identifiers@1.2.0
# | | `-- simple-concat@1.0.0
# | +-- JSONStream@1.3.5
# | | +-- jsonparse@1.3.1
# | | `-- through@2.3.8
# | +-- labeled-stream-splicer@2.0.1
# | | +-- isarray@2.0.4
# | | `-- stream-splicer@2.0.0
# | +-- module-deps@6.2.0
# | | +-- detective@5.1.0
# | | | `-- minimist@1.2.0
# | | `-- stream-combiner2@1.1.1
# | +-- os-browserify@0.3.0
# | +-- parents@1.0.1
# | | `-- path-platform@0.11.15
# | +-- path-browserify@0.0.1
# | +-- process@0.11.10
# | +-- punycode@1.4.1
# | +-- querystring-es3@0.2.1
# | +-- read-only-stream@2.0.0
# | +-- readable-stream@2.3.6
# | | +-- core-util-is@1.0.2
# | | +-- isarray@1.0.0
# | | +-- process-nextick-args@2.0.0
# | | `-- util-deprecate@1.0.2
# | +-- resolve@1.9.0
# | | `-- path-parse@1.0.6
# | +-- shasum@1.0.2
# | | +-- json-stable-stringify@0.0.1
# | | `-- sha.js@2.4.11
# | +-- shell-quote@1.6.1
# | | +-- array-filter@0.0.1
# | | +-- array-map@0.0.0
# | | +-- array-reduce@0.0.0
# | | `-- jsonify@0.0.0
# | +-- stream-browserify@2.0.1
# | +-- stream-http@2.8.3
# | | +-- builtin-status-codes@3.0.0
# | | `-- to-arraybuffer@1.0.1
# | +-- string_decoder@1.1.1
# | +-- subarg@1.0.0
# | | `-- minimist@1.2.0
# | +-- syntax-error@1.4.0
# | +-- timers-browserify@1.4.2
# | +-- tty-browserify@0.0.1
# | +-- url@0.11.0
# | | +-- punycode@1.3.2
# | | `-- querystring@0.2.0
# | +-- util@0.10.4
# | +-- vm-browserify@1.1.0
# | `-- xtend@4.0.1
# +-- chai@4.2.0
# | +-- assertion-error@1.1.0
# | +-- check-error@1.0.2
# | +-- deep-eql@3.0.1
# | +-- get-func-name@2.0.0
# | +-- pathval@1.1.0
# | `-- type-detect@4.0.8
# +-- coffee-script@1.12.7
# +-- commander@2.15.1
# +-- coveralls@3.0.2
# | +-- js-yaml@3.12.0
# | | `-- argparse@1.0.10
# | | `-- sprintf-js@1.0.3
# | +-- lcov-parse@0.0.10
# | +-- log-driver@1.2.7
# | +-- minimist@1.2.0
# | `-- request@2.88.0
# | +-- aws-sign2@0.7.0
# | +-- aws4@1.8.0
# | +-- caseless@0.12.0
# | +-- combined-stream@1.0.7
# | | `-- delayed-stream@1.0.0
# | +-- forever-agent@0.6.1
# | +-- form-data@2.3.3
# | | `-- asynckit@0.4.0
# | +-- har-validator@5.1.3
# | | +-- ajv@6.6.2
# | | | +-- fast-deep-equal@2.0.1
# | | | +-- json-schema-traverse@0.4.1
# | | | `-- uri-js@4.2.2
# | | `-- har-schema@2.0.0
# | +-- http-signature@1.2.0
# | | +-- assert-plus@1.0.0
# | | +-- jsprim@1.4.1
# | | | +-- extsprintf@1.3.0
# | | | +-- json-schema@0.2.3
# | | | `-- verror@1.10.0
# | | `-- sshpk@1.16.0
# | | +-- asn1@0.2.4
# | | +-- bcrypt-pbkdf@1.0.2
# | | +-- dashdash@1.14.1
# | | +-- ecc-jsbn@0.1.2
# | | +-- getpass@0.1.7
# | | +-- jsbn@0.1.1
# | | `-- tweetnacl@0.14.5
# | +-- is-typedarray@1.0.0
# | +-- isstream@0.1.2
# | +-- json-stringify-safe@5.0.1
# | +-- mime-types@2.1.21
# | | `-- mime-db@1.37.0
# | +-- oauth-sign@0.9.0
# | +-- performance-now@2.1.0
# | +-- qs@6.5.2
# | +-- tough-cookie@2.4.3
# | | +-- psl@1.1.31
# | | `-- punycode@1.4.1
# | +-- tunnel-agent@0.6.0
# | `-- uuid@3.3.2
# +-- cross-spawn@6.0.5
# | +-- nice-try@1.0.5
# | +-- path-key@2.0.1
# | +-- semver@5.6.0
# | +-- shebang-command@1.2.0
# | | `-- shebang-regex@1.0.0
# | `-- which@1.3.1
# | `-- isexe@2.0.0
# +-- debug@3.1.0
# | `-- ms@2.0.0
# +-- diff@3.5.0
# +-- escape-string-regexp@1.0.5
# +-- eslint@4.19.1
# | +-- ajv@5.5.2
# | | +-- co@4.6.0
# | | +-- fast-deep-equal@1.1.0
# | | +-- fast-json-stable-stringify@2.0.0
# | | `-- json-schema-traverse@0.3.1
# | +-- babel-code-frame@6.26.0
# | | +-- chalk@1.1.3
# | | | +-- ansi-styles@2.2.1
# | | | +-- has-ansi@2.0.0
# | | | | `-- ansi-regex@2.1.1
# | | | +-- strip-ansi@3.0.1
# | | | `-- supports-color@2.0.0
# | | `-- js-tokens@3.0.2
# | +-- cross-spawn@5.1.0
# | | `-- lru-cache@4.1.5
# | | +-- pseudomap@1.0.2
# | | `-- yallist@2.1.2
# | +-- doctrine@2.1.0
# | +-- eslint-scope@3.7.3
# | | `-- esrecurse@4.2.1
# | +-- eslint-visitor-keys@1.0.0
# | +-- espree@3.5.4
# | | +-- acorn@5.7.3
# | | `-- acorn-jsx@3.0.1
# | | `-- acorn@3.3.0
# | +-- esquery@1.0.1
# | +-- esutils@2.0.2
# | +-- file-entry-cache@2.0.0
# | | +-- flat-cache@1.3.4
# | | | +-- circular-json@0.3.3
# | | | `-- write@0.2.1
# | | `-- object-assign@4.1.1
# | +-- functional-red-black-tree@1.0.1
# | +-- globals@11.9.0
# | +-- ignore@3.3.10
# | +-- imurmurhash@0.1.4
# | +-- inquirer@3.3.0
# | | +-- ansi-escapes@3.1.0
# | | +-- cli-cursor@2.1.0
# | | | `-- restore-cursor@2.0.0
# | | | `-- onetime@2.0.1
# | | +-- cli-width@2.2.0
# | | +-- external-editor@2.2.0
# | | | +-- chardet@0.4.2
# | | | `-- iconv-lite@0.4.24
# | | +-- figures@2.0.0
# | | +-- mute-stream@0.0.7
# | | +-- run-async@2.3.0
# | | +-- rx-lite@4.0.8
# | | +-- rx-lite-aggregates@4.0.8
# | | +-- string-width@2.1.1
# | | | +-- is-fullwidth-code-point@2.0.0
# | | | `-- strip-ansi@4.0.0
# | | | `-- ansi-regex@3.0.0
# | | `-- strip-ansi@4.0.0
# | | `-- ansi-regex@3.0.0
# | +-- is-resolvable@1.1.0
# | +-- json-stable-stringify-without-jsonify@1.0.1
# | +-- levn@0.3.0
# | | +-- prelude-ls@1.1.2
# | | `-- type-check@0.3.2
# | +-- natural-compare@1.4.0
# | +-- optionator@0.8.2
# | | +-- deep-is@0.1.3
# | | +-- fast-levenshtein@2.0.6
# | | `-- wordwrap@1.0.0
# | +-- path-is-inside@1.0.2
# | +-- pluralize@7.0.0
# | +-- progress@2.0.3
# | +-- regexpp@1.1.0
# | +-- require-uncached@1.0.3
# | | +-- caller-path@0.1.0
# | | | `-- callsites@0.2.0
# | | `-- resolve-from@1.0.1
# | +-- strip-ansi@4.0.0
# | | `-- ansi-regex@3.0.0
# | +-- strip-json-comments@2.0.1
# | +-- table@4.0.2
# | | +-- UNMET PEER DEPENDENCY ajv@5.5.2
# | | | +-- co@4.6.0
# | | | +-- fast-deep-equal@1.1.0
# | | | `-- json-schema-traverse@0.3.1
# | | +-- ajv-keywords@2.1.1
# | | `-- slice-ansi@1.0.0
# | `-- text-table@0.2.0
# +-- eslint-config-prettier@2.10.0
# | `-- get-stdin@5.0.1
# +-- eslint-config-semistandard@12.0.1
# +-- eslint-config-standard@11.0.0
# +-- eslint-plugin-import@2.14.0
# | +-- contains-path@0.1.0
# | +-- debug@2.6.9
# | +-- doctrine@1.5.0
# | +-- eslint-import-resolver-node@0.3.2
# | | `-- debug@2.6.9
# | +-- eslint-module-utils@2.2.0
# | | +-- debug@2.6.9
# | | `-- pkg-dir@1.0.0
# | | `-- find-up@1.1.2
# | | +-- path-exists@2.1.0
# | | `-- pinkie-promise@2.0.1
# | | `-- pinkie@2.0.4
# | `-- read-pkg-up@2.0.0
# | +-- find-up@2.1.0
# | | `-- locate-path@2.0.0
# | | `-- p-locate@2.0.0
# | | `-- p-limit@1.3.0
# | | `-- p-try@1.0.0
# | `-- read-pkg@2.0.0
# | +-- load-json-file@2.0.0
# | | +-- parse-json@2.2.0
# | | +-- pify@2.3.0
# | | `-- strip-bom@3.0.0
# | +-- normalize-package-data@2.4.0
# | | +-- hosted-git-info@2.7.1
# | | +-- is-builtin-module@1.0.0
# | | | `-- builtin-modules@1.1.1
# | | `-- validate-npm-package-license@3.0.4
# | | +-- spdx-correct@3.1.0
# | | | `-- spdx-license-ids@3.0.3
# | | `-- spdx-expression-parse@3.0.0
# | | `-- spdx-exceptions@2.2.0
# | `-- path-type@2.0.0
# +-- eslint-plugin-node@6.0.1
# +-- eslint-plugin-prettier@2.7.0
# | +-- fast-diff@1.2.0
# | `-- jest-docblock@21.2.0
# +-- eslint-plugin-promise@3.8.0
# +-- eslint-plugin-standard@3.1.0
# +-- glob@7.1.2
# | +-- fs.realpath@1.0.0
# | +-- inflight@1.0.6
# | | `-- wrappy@1.0.2
# | +-- once@1.4.0
# | `-- path-is-absolute@1.0.1
# +-- growl@1.10.5
# +-- he@1.1.1
# +-- husky@0.14.3
# | +-- is-ci@1.2.1
# | | `-- ci-info@1.6.0
# | +-- normalize-path@1.0.0
# | `-- strip-indent@2.0.0
# +-- jsdoc@3.5.5
# | +-- babylon@7.0.0-beta.19
# | +-- catharsis@0.8.9
# | | `-- underscore-contrib@0.3.0
# | | `-- underscore@1.6.0
# | +-- js2xmlparser@3.0.0
# | | `-- xmlcreate@1.0.2
# | +-- klaw@2.0.0
# | +-- marked@0.3.19
# | +-- requizzle@0.2.1
# | | `-- underscore@1.6.0
# | +-- taffydb@2.6.2
# | `-- underscore@1.8.3
# +-- karma@2.0.5
# | +-- body-parser@1.18.3
# | | +-- bytes@3.0.0
# | | +-- content-type@1.0.4
# | | +-- debug@2.6.9
# | | +-- depd@1.1.2
# | | +-- http-errors@1.6.3
# | | | +-- setprototypeof@1.1.0
# | | | `-- statuses@1.5.0
# | | +-- iconv-lite@0.4.23
# | | | `-- safer-buffer@2.1.2
# | | +-- on-finished@2.3.0
# | | | `-- ee-first@1.1.1
# | | +-- raw-body@2.3.3
# | | | +-- iconv-lite@0.4.23
# | | | `-- unpipe@1.0.0
# | | `-- type-is@1.6.16
# | | `-- media-typer@0.3.0
# | +-- chokidar@2.0.4
# | | +-- anymatch@2.0.0
# | | | `-- micromatch@3.1.10
# | | | +-- arr-diff@4.0.0
# | | | +-- array-unique@0.3.2
# | | | +-- braces@2.3.2
# | | | | +-- extend-shallow@2.0.1
# | | | | +-- fill-range@4.0.0
# | | | | | +-- extend-shallow@2.0.1
# | | | | | `-- is-number@3.0.0
# | | | | | `-- kind-of@3.2.2
# | | | | `-- isobject@3.0.1
# | | | +-- extend-shallow@3.0.2
# | | | | `-- is-extendable@1.0.1
# | | | +-- extglob@2.0.4
# | | | | +-- define-property@1.0.0
# | | | | | `-- is-descriptor@1.0.2
# | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | `-- is-data-descriptor@1.0.0
# | | | | +-- expand-brackets@2.1.4
# | | | | | +-- debug@2.6.9
# | | | | | +-- define-property@0.2.5
# | | | | | | `-- is-descriptor@0.1.6
# | | | | | | +-- is-accessor-descriptor@0.1.6
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | +-- is-data-descriptor@0.1.4
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | `-- kind-of@5.1.0
# | | | | | `-- extend-shallow@2.0.1
# | | | | `-- extend-shallow@2.0.1
# | | | `-- kind-of@6.0.2
# | | +-- async-each@1.0.1
# | | +-- braces@2.3.2
# | | | +-- arr-flatten@1.1.0
# | | | +-- array-unique@0.3.2
# | | | +-- fill-range@4.0.0
# | | | | +-- is-number@3.0.0
# | | | | `-- to-regex-range@2.1.1
# | | | | `-- is-number@3.0.0
# | | | +-- isobject@3.0.1
# | | | +-- repeat-element@1.1.3
# | | | +-- snapdragon-node@2.1.1
# | | | | +-- define-property@1.0.0
# | | | | | `-- is-descriptor@1.0.2
# | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | +-- is-data-descriptor@1.0.0
# | | | | | `-- kind-of@6.0.2
# | | | | +-- isobject@3.0.1
# | | | | `-- snapdragon-util@3.0.1
# | | | `-- split-string@3.1.0
# | | | `-- extend-shallow@3.0.2
# | | | `-- is-extendable@1.0.1
# | | +-- fsevents@1.2.4
# | | | `-- node-pre-gyp@0.10.0
# | | | +-- detect-libc@1.0.3
# | | | +-- mkdirp@0.5.1
# | | | | `-- minimist@0.0.8
# | | | +-- needle@2.2.0
# | | | | +-- debug@2.6.9
# | | | | | `-- ms@2.0.0
# | | | | +-- iconv-lite@0.4.21
# | | | | | `-- safer-buffer@2.1.2
# | | | | `-- sax@1.2.4
# | | | +-- nopt@4.0.1
# | | | | +-- abbrev@1.1.1
# | | | | `-- osenv@0.1.5
# | | | | +-- os-homedir@1.0.2
# | | | | `-- os-tmpdir@1.0.2
# | | | +-- npm-packlist@1.1.10
# | | | | +-- ignore-walk@3.0.1
# | | | | | `-- minimatch@3.0.4
# | | | | | `-- brace-expansion@1.1.11
# | | | | | +-- balanced-match@1.0.0
# | | | | | `-- concat-map@0.0.1
# | | | | `-- npm-bundled@1.0.3
# | | | +-- npmlog@4.1.2
# | | | | +-- are-we-there-yet@1.1.4
# | | | | | +-- delegates@1.0.0
# | | | | | `-- readable-stream@2.3.6
# | | | | | +-- core-util-is@1.0.2
# | | | | | +-- isarray@1.0.0
# | | | | | +-- process-nextick-args@2.0.0
# | | | | | +-- string_decoder@1.1.1
# | | | | | `-- util-deprecate@1.0.2
# | | | | +-- console-control-strings@1.1.0
# | | | | +-- gauge@2.7.4
# | | | | | +-- aproba@1.2.0
# | | | | | +-- has-unicode@2.0.1
# | | | | | +-- object-assign@4.1.1
# | | | | | +-- signal-exit@3.0.2
# | | | | | +-- string-width@1.0.2
# | | | | | | +-- code-point-at@1.1.0
# | | | | | | `-- is-fullwidth-code-point@1.0.0
# | | | | | | `-- number-is-nan@1.0.1
# | | | | | +-- strip-ansi@3.0.1
# | | | | | | `-- ansi-regex@2.1.1
# | | | | | `-- wide-align@1.1.2
# | | | | `-- set-blocking@2.0.0
# | | | +-- rc@1.2.7
# | | | | +-- deep-extend@0.5.1
# | | | | +-- ini@1.3.5
# | | | | +-- minimist@1.2.0
# | | | | `-- strip-json-comments@2.0.1
# | | | +-- rimraf@2.6.2
# | | | | `-- glob@7.1.2
# | | | | +-- fs.realpath@1.0.0
# | | | | +-- inflight@1.0.6
# | | | | | `-- wrappy@1.0.2
# | | | | +-- inherits@2.0.3
# | | | | +-- once@1.4.0
# | | | | `-- path-is-absolute@1.0.1
# | | | +-- semver@5.5.0
# | | | `-- tar@4.4.1
# | | | +-- chownr@1.0.1
# | | | +-- fs-minipass@1.2.5
# | | | +-- minipass@2.2.4
# | | | +-- minizlib@1.1.0
# | | | +-- safe-buffer@5.1.1
# | | | `-- yallist@3.0.2
# | | +-- glob-parent@3.1.0
# | | | +-- is-glob@3.1.0
# | | | `-- path-dirname@1.0.2
# | | +-- is-binary-path@1.0.1
# | | | `-- binary-extensions@1.12.0
# | | +-- is-glob@4.0.0
# | | +-- lodash.debounce@4.0.8
# | | +-- normalize-path@2.1.1
# | | | `-- remove-trailing-separator@1.1.0
# | | +-- readdirp@2.2.1
# | | | `-- micromatch@3.1.10
# | | | +-- arr-diff@4.0.0
# | | | +-- array-unique@0.3.2
# | | | +-- braces@2.3.2
# | | | | +-- extend-shallow@2.0.1
# | | | | +-- fill-range@4.0.0
# | | | | | +-- extend-shallow@2.0.1
# | | | | | `-- is-number@3.0.0
# | | | | | `-- kind-of@3.2.2
# | | | | `-- isobject@3.0.1
# | | | +-- extend-shallow@3.0.2
# | | | | `-- is-extendable@1.0.1
# | | | +-- extglob@2.0.4
# | | | | +-- define-property@1.0.0
# | | | | | `-- is-descriptor@1.0.2
# | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | `-- is-data-descriptor@1.0.0
# | | | | +-- expand-brackets@2.1.4
# | | | | | +-- debug@2.6.9
# | | | | | +-- define-property@0.2.5
# | | | | | | `-- is-descriptor@0.1.6
# | | | | | | +-- is-accessor-descriptor@0.1.6
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | +-- is-data-descriptor@0.1.4
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | `-- kind-of@5.1.0
# | | | | | `-- extend-shallow@2.0.1
# | | | | `-- extend-shallow@2.0.1
# | | | `-- kind-of@6.0.2
# | | `-- upath@1.1.0
# | +-- colors@1.1.2
# | +-- combine-lists@1.0.1
# | +-- connect@3.6.6
# | | +-- debug@2.6.9
# | | +-- finalhandler@1.1.0
# | | | +-- debug@2.6.9
# | | | +-- encodeurl@1.0.2
# | | | +-- escape-html@1.0.3
# | | | `-- statuses@1.3.1
# | | +-- parseurl@1.3.2
# | | `-- utils-merge@1.0.1
# | +-- core-js@2.6.1
# | +-- di@0.0.1
# | +-- dom-serialize@2.2.1
# | | +-- custom-event@1.0.1
# | | +-- ent@2.2.0
# | | `-- void-elements@2.0.1
# | +-- expand-braces@0.1.2
# | | +-- array-slice@0.2.3
# | | +-- array-unique@0.2.1
# | | `-- braces@0.1.5
# | | `-- expand-range@0.1.1
# | | +-- is-number@0.1.1
# | | `-- repeat-string@0.2.2
# | +-- graceful-fs@4.1.15
# | +-- http-proxy@1.17.0
# | | +-- eventemitter3@3.1.0
# | | +-- follow-redirects@1.6.1
# | | `-- requires-port@1.0.0
# | +-- isbinaryfile@3.0.3
# | | `-- buffer-alloc@1.2.0
# | | +-- buffer-alloc-unsafe@1.1.0
# | | `-- buffer-fill@1.0.0
# | +-- log4js@2.11.0
# | | +-- amqplib@0.5.3
# | | | +-- bitsyntax@0.1.0
# | | | | `-- debug@2.6.9
# | | | +-- buffer-more-ints@1.0.0
# | | | +-- readable-stream@1.1.14
# | | | | +-- isarray@0.0.1
# | | | | `-- string_decoder@0.10.31
# | | | `-- url-parse@1.4.4
# | | | `-- querystringify@2.1.0
# | | +-- axios@0.15.3
# | | | `-- follow-redirects@1.0.0
# | | | `-- debug@2.6.9
# | | +-- circular-json@0.5.9
# | | +-- date-format@1.2.0
# | | +-- hipchat-notifier@1.1.0
# | | +-- loggly@1.1.1
# | | | +-- request@2.75.0
# | | | | +-- aws-sign2@0.6.0
# | | | | +-- bl@1.1.2
# | | | | | `-- readable-stream@2.0.6
# | | | | | +-- process-nextick-args@1.0.7
# | | | | | `-- string_decoder@0.10.31
# | | | | +-- caseless@0.11.0
# | | | | +-- form-data@2.0.0
# | | | | +-- har-validator@2.0.6
# | | | | | +-- chalk@1.1.3
# | | | | | | +-- ansi-styles@2.2.1
# | | | | | | `-- supports-color@2.0.0
# | | | | | `-- is-my-json-valid@2.19.0
# | | | | | +-- generate-function@2.3.1
# | | | | | | `-- is-property@1.0.2
# | | | | | +-- generate-object-property@1.2.0
# | | | | | +-- is-my-ip-valid@1.0.0
# | | | | | `-- jsonpointer@4.0.1
# | | | | +-- http-signature@1.1.1
# | | | | | `-- assert-plus@0.2.0
# | | | | +-- node-uuid@1.4.8
# | | | | +-- oauth-sign@0.8.2
# | | | | +-- qs@6.2.3
# | | | | +-- tough-cookie@2.3.4
# | | | | | `-- punycode@1.4.1
# | | | | `-- tunnel-agent@0.4.3
# | | | `-- timespan@2.3.0
# | | +-- mailgun-js@0.18.1
# | | | +-- async@2.6.1
# | | | +-- inflection@1.12.0
# | | | +-- path-proxy@1.0.0
# | | | | `-- inflection@1.3.8
# | | | +-- promisify-call@2.0.4
# | | | | `-- with-callback@1.0.2
# | | | +-- proxy-agent@3.0.3
# | | | | +-- http-proxy-agent@2.1.0
# | | | | +-- lru-cache@4.1.5
# | | | | +-- pac-proxy-agent@3.0.0
# | | | | | +-- get-uri@2.0.2
# | | | | | | +-- data-uri-to-buffer@1.2.0
# | | | | | | +-- debug@2.6.9
# | | | | | | +-- file-uri-to-path@1.0.0
# | | | | | | `-- ftp@0.3.10
# | | | | | | +-- readable-stream@1.1.14
# | | | | | | | +-- isarray@0.0.1
# | | | | | | | `-- string_decoder@0.10.31
# | | | | | | `-- xregexp@2.0.0
# | | | | | `-- pac-resolver@3.0.0
# | | | | | +-- co@4.6.0
# | | | | | +-- degenerator@1.0.4
# | | | | | | `-- esprima@3.1.3
# | | | | | +-- netmask@1.0.6
# | | | | | `-- thunkify@2.1.2
# | | | | +-- proxy-from-env@1.0.0
# | | | | `-- socks-proxy-agent@4.0.1
# | | | | `-- socks@2.2.2
# | | | | `-- smart-buffer@4.0.1
# | | | `-- tsscmp@1.0.6
# | | +-- nodemailer@2.7.2
# | | | +-- libmime@3.0.0
# | | | | +-- iconv-lite@0.4.15
# | | | | +-- libbase64@0.1.0
# | | | | `-- libqp@1.1.0
# | | | +-- mailcomposer@4.0.1
# | | | | `-- buildmail@4.0.1
# | | | | +-- addressparser@1.0.1
# | | | | `-- punycode@1.4.1
# | | | +-- nodemailer-direct-transport@3.3.2
# | | | | `-- smtp-connection@2.12.0
# | | | | `-- httpntlm@1.6.1
# | | | | +-- httpreq@0.4.24
# | | | | `-- underscore@1.7.0
# | | | +-- nodemailer-shared@1.1.0
# | | | | `-- nodemailer-fetch@1.6.0
# | | | +-- nodemailer-smtp-pool@2.8.2
# | | | | `-- nodemailer-wellknown@0.1.10
# | | | +-- nodemailer-smtp-transport@2.7.2
# | | | `-- socks@1.1.9
# | | | +-- ip@1.1.5
# | | | `-- smart-buffer@1.1.15
# | | +-- redis@2.8.0
# | | | +-- double-ended-queue@2.1.0-0
# | | | +-- redis-commands@1.4.0
# | | | `-- redis-parser@2.6.0
# | | +-- slack-node@0.2.0
# | | | `-- requestretry@1.13.0
# | | | `-- when@3.7.8
# | | `-- streamroller@0.7.0
# | +-- mime@1.6.0
# | +-- qjobs@1.2.0
# | +-- range-parser@1.2.0
# | +-- safe-buffer@5.1.2
# | +-- socket.io@2.0.4
# | | +-- debug@2.6.9
# | | +-- engine.io@3.1.5
# | | | +-- base64id@1.0.0
# | | | +-- cookie@0.3.1
# | | | +-- engine.io-parser@2.1.3
# | | | | +-- after@0.8.2
# | | | | +-- arraybuffer.slice@0.0.7
# | | | | `-- blob@0.0.5
# | | | +-- uws@9.14.0
# | | | `-- ws@3.3.3
# | | | `-- ultron@1.1.1
# | | +-- socket.io-adapter@1.1.1
# | | +-- socket.io-client@2.0.4
# | | | +-- backo2@1.0.2
# | | | +-- base64-arraybuffer@0.1.5
# | | | +-- component-bind@1.0.0
# | | | +-- component-emitter@1.2.1
# | | | +-- debug@2.6.9
# | | | +-- engine.io-client@3.1.6
# | | | | +-- component-inherit@0.0.3
# | | | | +-- ws@3.3.3
# | | | | +-- xmlhttprequest-ssl@1.5.5
# | | | | `-- yeast@0.1.2
# | | | +-- has-cors@1.1.0
# | | | +-- indexof@0.0.1
# | | | +-- object-component@0.0.3
# | | | +-- parseqs@0.0.5
# | | | | `-- better-assert@1.0.2
# | | | | `-- callsite@1.0.0
# | | | +-- parseuri@0.0.5
# | | | `-- to-array@0.1.4
# | | `-- socket.io-parser@3.1.3
# | | +-- has-binary2@1.0.3
# | | | `-- isarray@2.0.1
# | | `-- isarray@2.0.1
# | +-- source-map@0.6.1
# | +-- tmp@0.0.33
# | | `-- os-tmpdir@1.0.2
# | `-- useragent@2.2.1
# | `-- lru-cache@2.2.4
# +-- karma-browserify@5.3.0
# | +-- convert-source-map@1.6.0
# | +-- hat@0.0.3
# | +-- js-string-escape@1.0.1
# | `-- os-shim@0.1.3
# +-- karma-chrome-launcher@2.2.0
# | `-- fs-access@1.0.1
# | `-- null-check@1.0.0
# +-- karma-mocha@1.3.0
# | `-- minimist@1.2.0
# +-- karma-mocha-reporter@2.2.5
# | +-- log-symbols@2.2.0
# | `-- strip-ansi@4.0.0
# | `-- ansi-regex@3.0.0
# +-- karma-sauce-launcher@1.2.0
# | +-- q@1.5.1
# | +-- sauce-connect-launcher@1.2.4
# | | +-- adm-zip@0.4.13
# | | +-- async@2.6.1
# | | `-- https-proxy-agent@2.2.1
# | | `-- agent-base@4.2.1
# | | `-- es6-promisify@5.0.0
# | +-- saucelabs@1.5.0
# | `-- wd@1.11.1
# | +-- archiver@2.1.1
# | | +-- archiver-utils@1.3.0
# | | | `-- lazystream@1.0.0
# | | +-- async@2.6.1
# | | +-- buffer-crc32@0.2.13
# | | +-- tar-stream@1.6.2
# | | | +-- bl@1.2.2
# | | | +-- end-of-stream@1.4.1
# | | | +-- fs-constants@1.0.0
# | | | `-- to-buffer@1.1.1
# | | `-- zip-stream@1.2.0
# | | `-- compress-commons@1.2.2
# | | `-- crc32-stream@2.0.0
# | | `-- crc@3.8.0
# | +-- async@2.0.1
# | +-- q@1.4.1
# | `-- vargs@0.1.0
# +-- lint-staged@7.3.0
# | +-- cosmiconfig@5.0.7
# | | +-- import-fresh@2.0.0
# | | | +-- caller-path@2.0.0
# | | | | `-- caller-callsite@2.0.0
# | | | | `-- callsites@2.0.0
# | | | `-- resolve-from@3.0.0
# | | +-- is-directory@0.3.1
# | | `-- parse-json@4.0.0
# | | +-- error-ex@1.3.2
# | | | `-- is-arrayish@0.2.1
# | | `-- json-parse-better-errors@1.0.2
# | +-- dedent@0.7.0
# | +-- execa@0.9.0
# | | +-- cross-spawn@5.1.0
# | | | `-- lru-cache@4.1.5
# | | +-- get-stream@3.0.0
# | | +-- is-stream@1.1.0
# | | +-- npm-run-path@2.0.2
# | | +-- p-finally@1.0.0
# | | +-- signal-exit@3.0.2
# | | `-- strip-eof@1.0.0
# | +-- find-parent-dir@0.3.0
# | +-- is-glob@4.0.0
# | | `-- is-extglob@2.1.1
# | +-- is-windows@1.0.2
# | +-- jest-validate@23.6.0
# | | +-- jest-get-type@22.4.3
# | | `-- pretty-format@23.6.0
# | | `-- ansi-regex@3.0.0
# | +-- listr@0.14.3
# | | +-- @samverschueren/stream-to-observable@0.3.0
# | | | `-- any-observable@0.3.0
# | | +-- is-observable@1.1.0
# | | | `-- symbol-observable@1.2.0
# | | +-- is-promise@2.1.0
# | | +-- listr-silent-renderer@1.1.1
# | | +-- listr-update-renderer@0.5.0
# | | | +-- chalk@1.1.3
# | | | | +-- ansi-styles@2.2.1
# | | | | `-- supports-color@2.0.0
# | | | +-- cli-truncate@0.2.1
# | | | | +-- slice-ansi@0.0.4
# | | | | `-- string-width@1.0.2
# | | | | `-- is-fullwidth-code-point@1.0.0
# | | | +-- elegant-spinner@1.0.1
# | | | +-- figures@1.7.0
# | | | +-- indent-string@3.2.0
# | | | +-- log-symbols@1.0.2
# | | | `-- log-update@2.3.0
# | | | `-- wrap-ansi@3.0.1
# | | | `-- strip-ansi@4.0.0
# | | | `-- ansi-regex@3.0.0
# | | +-- listr-verbose-renderer@0.5.0
# | | | +-- date-fns@1.30.1
# | | | `-- figures@2.0.0
# | | +-- p-map@2.0.0
# | | `-- rxjs@6.3.3
# | | `-- tslib@1.9.3
# | +-- micromatch@3.1.10
# | | +-- arr-diff@4.0.0
# | | +-- array-unique@0.3.2
# | | +-- braces@2.3.2
# | | | +-- extend-shallow@2.0.1
# | | | +-- fill-range@4.0.0
# | | | | +-- extend-shallow@2.0.1
# | | | | `-- is-number@3.0.0
# | | | | `-- kind-of@3.2.2
# | | | `-- isobject@3.0.1
# | | +-- define-property@2.0.2
# | | | +-- is-descriptor@1.0.2
# | | | | +-- is-accessor-descriptor@1.0.0
# | | | | +-- is-data-descriptor@1.0.0
# | | | | `-- kind-of@6.0.2
# | | | `-- isobject@3.0.1
# | | +-- extend-shallow@3.0.2
# | | | +-- assign-symbols@1.0.0
# | | | `-- is-extendable@1.0.1
# | | +-- extglob@2.0.4
# | | | +-- define-property@1.0.0
# | | | | `-- is-descriptor@1.0.2
# | | | | +-- is-accessor-descriptor@1.0.0
# | | | | `-- is-data-descriptor@1.0.0
# | | | +-- expand-brackets@2.1.4
# | | | | +-- debug@2.6.9
# | | | | +-- define-property@0.2.5
# | | | | | `-- is-descriptor@0.1.6
# | | | | | +-- is-accessor-descriptor@0.1.6
# | | | | | | `-- kind-of@3.2.2
# | | | | | +-- is-data-descriptor@0.1.4
# | | | | | | `-- kind-of@3.2.2
# | | | | | `-- kind-of@5.1.0
# | | | | +-- extend-shallow@2.0.1
# | | | | `-- posix-character-classes@0.1.1
# | | | `-- extend-shallow@2.0.1
# | | +-- fragment-cache@0.2.1
# | | | `-- map-cache@0.2.2
# | | +-- kind-of@6.0.2
# | | +-- nanomatch@1.2.13
# | | | +-- arr-diff@4.0.0
# | | | +-- array-unique@0.3.2
# | | | +-- extend-shallow@3.0.2
# | | | | `-- is-extendable@1.0.1
# | | | `-- kind-of@6.0.2
# | | +-- regex-not@1.0.2
# | | | +-- extend-shallow@3.0.2
# | | | | `-- is-extendable@1.0.1
# | | | `-- safe-regex@1.1.0
# | | | `-- ret@0.1.15
# | | +-- snapdragon@0.8.2
# | | | +-- base@0.11.2
# | | | | +-- cache-base@1.0.1
# | | | | | +-- collection-visit@1.0.0
# | | | | | | +-- map-visit@1.0.0
# | | | | | | `-- object-visit@1.0.1
# | | | | | | `-- isobject@3.0.1
# | | | | | +-- get-value@2.0.6
# | | | | | +-- has-value@1.0.0
# | | | | | | +-- has-values@1.0.0
# | | | | | | | +-- is-number@3.0.0
# | | | | | | | | `-- kind-of@3.2.2
# | | | | | | | `-- kind-of@4.0.0
# | | | | | | `-- isobject@3.0.1
# | | | | | +-- isobject@3.0.1
# | | | | | +-- set-value@2.0.0
# | | | | | +-- union-value@1.0.0
# | | | | | | `-- set-value@0.4.3
# | | | | | `-- unset-value@1.0.0
# | | | | | +-- has-value@0.3.1
# | | | | | | +-- has-values@0.1.4
# | | | | | | `-- isobject@2.1.0
# | | | | | `-- isobject@3.0.1
# | | | | +-- class-utils@0.3.6
# | | | | | +-- arr-union@3.1.0
# | | | | | +-- define-property@0.2.5
# | | | | | +-- isobject@3.0.1
# | | | | | `-- static-extend@0.1.2
# | | | | | +-- define-property@0.2.5
# | | | | | `-- object-copy@0.1.0
# | | | | | +-- copy-descriptor@0.1.1
# | | | | | `-- define-property@0.2.5
# | | | | +-- define-property@1.0.0
# | | | | | `-- is-descriptor@1.0.2
# | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | +-- is-data-descriptor@1.0.0
# | | | | | `-- kind-of@6.0.2
# | | | | +-- isobject@3.0.1
# | | | | `-- pascalcase@0.1.1
# | | | +-- debug@2.6.9
# | | | +-- define-property@0.2.5
# | | | | `-- is-descriptor@0.1.6
# | | | | +-- is-accessor-descriptor@0.1.6
# | | | | +-- is-data-descriptor@0.1.4
# | | | | `-- kind-of@5.1.0
# | | | +-- source-map@0.5.7
# | | | +-- source-map-resolve@0.5.2
# | | | | +-- atob@2.1.2
# | | | | +-- decode-uri-component@0.2.0
# | | | | +-- resolve-url@0.2.1
# | | | | +-- source-map-url@0.4.0
# | | | | `-- urix@0.1.0
# | | | `-- use@3.1.1
# | | `-- to-regex@3.0.2
# | | `-- extend-shallow@3.0.2
# | | `-- is-extendable@1.0.1
# | +-- npm-which@3.0.1
# | | `-- npm-path@2.0.4
# | +-- p-map@1.2.0
# | +-- pify@3.0.0
# | +-- please-upgrade-node@3.1.1
# | | `-- semver-compare@1.0.0
# | +-- staged-git-files@1.1.1
# | +-- string-argv@0.0.2
# | `-- stringify-object@3.3.0
# | +-- get-own-enumerable-property-symbols@3.0.0
# | +-- is-obj@1.0.1
# | `-- is-regexp@1.0.0
# +-- markdown-toc@1.2.0
# | +-- diacritics-map@0.1.0
# | +-- gray-matter@2.1.1
# | | +-- ansi-red@0.1.1
# | | | `-- ansi-wrap@0.1.0
# | | +-- extend-shallow@2.0.1
# | | | `-- is-extendable@0.1.1
# | | `-- toml@2.3.3
# | +-- lazy-cache@2.0.2
# | | `-- set-getter@0.1.0
# | | `-- to-object-path@0.3.0
# | +-- list-item@1.1.1
# | | +-- expand-range@1.8.2
# | | | `-- fill-range@2.2.4
# | | | +-- isobject@2.1.0
# | | | `-- randomatic@3.1.1
# | | | +-- is-number@4.0.0
# | | | +-- kind-of@6.0.2
# | | | `-- math-random@1.0.1
# | | `-- is-number@2.1.0
# | | `-- kind-of@3.2.2
# | +-- markdown-link@0.1.1
# | +-- minimist@1.2.0
# | +-- mixin-deep@1.3.1
# | | +-- for-in@1.0.2
# | | `-- is-extendable@1.0.1
# | | `-- is-plain-object@2.0.4
# | | `-- isobject@3.0.1
# | +-- object.pick@1.3.0
# | | `-- isobject@3.0.1
# | +-- remarkable@1.7.1
# | | +-- argparse@0.1.16
# | | | +-- underscore@1.7.0
# | | | `-- underscore.string@2.4.0
# | | `-- autolinker@0.15.3
# | +-- repeat-string@1.6.1
# | `-- strip-color@0.1.0
# +-- markdownlint-cli@0.8.2
# | +-- commander@2.9.0
# | | `-- graceful-readlink@1.0.1
# | +-- deep-extend@0.5.1
# | +-- get-stdin@5.0.1
# | +-- glob@7.0.6
# | +-- lodash.differencewith@4.5.0
# | +-- lodash.flatten@4.4.0
# | +-- markdownlint@0.8.1
# | | `-- markdown-it@8.4.1
# | | +-- entities@1.1.2
# | | +-- linkify-it@2.1.0
# | | +-- mdurl@1.0.1
# | | `-- uc.micro@1.0.5
# | `-- rc@1.2.8
# | +-- deep-extend@0.6.0
# | +-- ini@1.3.5
# | `-- minimist@1.2.0
# +-- minimatch@3.0.4
# | `-- brace-expansion@1.1.11
# | +-- balanced-match@1.0.0
# | `-- concat-map@0.0.1
# +-- mkdirp@0.5.1
# | `-- minimist@0.0.8
# +-- nps@5.9.3
# | +-- arrify@1.0.1
# | +-- common-tags@1.8.0
# | +-- find-up@2.1.0
# | | `-- locate-path@2.0.0
# | | +-- p-locate@2.0.0
# | | | `-- p-limit@1.3.0
# | | | `-- p-try@1.0.0
# | | `-- path-exists@3.0.0
# | +-- manage-path@2.0.0
# | +-- prefix-matches@1.0.1
# | | +-- is-object@1.0.1
# | | `-- starts-with@1.0.2
# | +-- readline-sync@1.4.9
# | +-- spawn-command-with-kill@1.0.2
# | | +-- ps-tree@1.2.0
# | | | `-- event-stream@3.3.4
# | | | +-- duplexer@0.1.1
# | | | +-- from@0.1.7
# | | | +-- map-stream@0.1.0
# | | | +-- pause-stream@0.0.11
# | | | +-- split@0.3.3
# | | | `-- stream-combiner@0.0.4
# | | `-- spawn-command@0.0.2-1
# | `-- yargs@8.0.2
# | +-- camelcase@4.1.0
# | +-- cliui@3.2.0
# | | +-- string-width@1.0.2
# | | | +-- code-point-at@1.1.0
# | | | `-- is-fullwidth-code-point@1.0.0
# | | `-- wrap-ansi@2.1.0
# | +-- decamelize@1.2.0
# | +-- get-caller-file@1.0.3
# | +-- os-locale@2.1.0
# | | +-- execa@0.7.0
# | | | `-- cross-spawn@5.1.0
# | | | `-- lru-cache@4.1.5
# | | +-- lcid@1.0.0
# | | | `-- invert-kv@1.0.0
# | | `-- mem@1.1.0
# | | `-- mimic-fn@1.2.0
# | +-- read-pkg-up@2.0.0
# | | +-- find-up@2.1.0
# | | | `-- locate-path@2.0.0
# | | | `-- p-locate@2.0.0
# | | | `-- p-limit@1.3.0
# | | | `-- p-try@1.0.0
# | | `-- read-pkg@2.0.0
# | | +-- load-json-file@2.0.0
# | | | +-- parse-json@2.2.0
# | | | `-- pify@2.3.0
# | | `-- path-type@2.0.0
# | +-- require-directory@2.1.1
# | +-- require-main-filename@1.0.1
# | +-- set-blocking@2.0.0
# | +-- which-module@2.0.0
# | +-- y18n@3.2.1
# | `-- yargs-parser@7.0.0
# | `-- camelcase@4.1.0
# +-- nyc@11.9.0
# | +-- archy@1.0.0
# | +-- arrify@1.0.1
# | +-- caching-transform@1.0.1
# | | `-- write-file-atomic@1.3.4
# | | +-- graceful-fs@4.1.11
# | | +-- imurmurhash@0.1.4
# | | `-- slide@1.1.6
# | +-- convert-source-map@1.5.1
# | +-- debug-log@1.0.1
# | +-- default-require-extensions@1.0.0
# | | `-- strip-bom@2.0.0
# | | `-- is-utf8@0.2.1
# | +-- find-cache-dir@0.1.1
# | | +-- commondir@1.0.1
# | | `-- pkg-dir@1.0.0
# | | `-- find-up@1.1.2
# | | +-- path-exists@2.1.0
# | | `-- pinkie-promise@2.0.1
# | | `-- pinkie@2.0.4
# | +-- find-up@2.1.0
# | | `-- locate-path@2.0.0
# | | +-- p-locate@2.0.0
# | | | `-- p-limit@1.2.0
# | | | `-- p-try@1.0.0
# | | `-- path-exists@3.0.0
# | +-- foreground-child@1.5.6
# | | `-- cross-spawn@4.0.2
# | | `-- lru-cache@4.1.3
# | | +-- pseudomap@1.0.2
# | | `-- yallist@2.1.2
# | +-- glob@7.1.2
# | | +-- fs.realpath@1.0.0
# | | +-- inflight@1.0.6
# | | | `-- wrappy@1.0.2
# | | +-- inherits@2.0.3
# | | +-- minimatch@3.0.4
# | | | `-- brace-expansion@1.1.11
# | | | +-- balanced-match@1.0.0
# | | | `-- concat-map@0.0.1
# | | +-- once@1.4.0
# | | `-- path-is-absolute@1.0.1
# | +-- istanbul-lib-coverage@1.2.0
# | +-- istanbul-lib-hook@1.1.0
# | | `-- append-transform@0.4.0
# | +-- istanbul-lib-instrument@1.10.1
# | | +-- babel-generator@6.26.1
# | | | +-- babel-messages@6.23.0
# | | | +-- babel-runtime@6.26.0
# | | | | +-- core-js@2.5.6
# | | | | `-- regenerator-runtime@0.11.1
# | | | +-- detect-indent@4.0.0
# | | | | `-- repeating@2.0.1
# | | | | `-- is-finite@1.0.2
# | | | | `-- number-is-nan@1.0.1
# | | | +-- jsesc@1.3.0
# | | | +-- lodash@4.17.10
# | | | `-- trim-right@1.0.1
# | | +-- babel-template@6.26.0
# | | +-- babel-traverse@6.26.0
# | | | +-- babel-code-frame@6.26.0
# | | | | +-- chalk@1.1.3
# | | | | | +-- ansi-styles@2.2.1
# | | | | | +-- escape-string-regexp@1.0.5
# | | | | | +-- has-ansi@2.0.0
# | | | | | `-- supports-color@2.0.0
# | | | | `-- js-tokens@3.0.2
# | | | +-- debug@2.6.9
# | | | +-- globals@9.18.0
# | | | `-- invariant@2.2.4
# | | | `-- loose-envify@1.3.1
# | | +-- babel-types@6.26.0
# | | | +-- esutils@2.0.2
# | | | `-- to-fast-properties@1.0.3
# | | +-- babylon@6.18.0
# | | `-- semver@5.5.0
# | +-- istanbul-lib-report@1.1.3
# | | +-- path-parse@1.0.5
# | | `-- supports-color@3.2.3
# | | `-- has-flag@1.0.0
# | +-- istanbul-lib-source-maps@1.2.3
# | | +-- debug@3.1.0
# | | | `-- ms@2.0.0
# | | `-- source-map@0.5.7
# | +-- istanbul-reports@1.4.0
# | | `-- handlebars@4.0.11
# | | +-- async@1.5.2
# | | +-- optimist@0.6.1
# | | | `-- wordwrap@0.0.3
# | | +-- source-map@0.4.4
# | | | `-- amdefine@1.0.1
# | | `-- uglify-js@2.8.29
# | | +-- uglify-to-browserify@1.0.2
# | | `-- yargs@3.10.0
# | | +-- camelcase@1.2.1
# | | +-- cliui@2.1.0
# | | | +-- center-align@0.1.3
# | | | | +-- align-text@0.1.4
# | | | | | `-- longest@1.0.1
# | | | | `-- lazy-cache@1.0.4
# | | | +-- right-align@0.1.3
# | | | `-- wordwrap@0.0.2
# | | `-- window-size@0.1.0
# | +-- md5-hex@1.3.0
# | | `-- md5-o-matic@0.1.1
# | +-- merge-source-map@1.1.0
# | | `-- source-map@0.6.1
# | +-- micromatch@3.1.10
# | | +-- arr-diff@4.0.0
# | | +-- array-unique@0.3.2
# | | +-- braces@2.3.2
# | | | +-- arr-flatten@1.1.0
# | | | +-- extend-shallow@2.0.1
# | | | | `-- is-extendable@0.1.1
# | | | +-- fill-range@4.0.0
# | | | | +-- extend-shallow@2.0.1
# | | | | +-- is-number@3.0.0
# | | | | | `-- kind-of@3.2.2
# | | | | | `-- is-buffer@1.1.6
# | | | | +-- repeat-string@1.6.1
# | | | | `-- to-regex-range@2.1.1
# | | | | `-- is-number@3.0.0
# | | | +-- isobject@3.0.1
# | | | +-- repeat-element@1.1.2
# | | | +-- snapdragon-node@2.1.1
# | | | | +-- define-property@1.0.0
# | | | | | `-- is-descriptor@1.0.2
# | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | +-- is-data-descriptor@1.0.0
# | | | | | `-- kind-of@6.0.2
# | | | | +-- isobject@3.0.1
# | | | | `-- snapdragon-util@3.0.1
# | | | `-- split-string@3.1.0
# | | +-- define-property@2.0.2
# | | | +-- is-descriptor@1.0.2
# | | | | +-- is-accessor-descriptor@1.0.0
# | | | | +-- is-data-descriptor@1.0.0
# | | | | `-- kind-of@6.0.2
# | | | `-- isobject@3.0.1
# | | +-- extend-shallow@3.0.2
# | | | +-- assign-symbols@1.0.0
# | | | `-- is-extendable@1.0.1
# | | | `-- is-plain-object@2.0.4
# | | | `-- isobject@3.0.1
# | | +-- extglob@2.0.4
# | | | +-- define-property@1.0.0
# | | | | `-- is-descriptor@1.0.2
# | | | | +-- is-accessor-descriptor@1.0.0
# | | | | +-- is-data-descriptor@1.0.0
# | | | | `-- kind-of@6.0.2
# | | | +-- expand-brackets@2.1.4
# | | | | +-- define-property@0.2.5
# | | | | +-- extend-shallow@2.0.1
# | | | | `-- posix-character-classes@0.1.1
# | | | `-- extend-shallow@2.0.1
# | | +-- fragment-cache@0.2.1
# | | | `-- map-cache@0.2.2
# | | +-- kind-of@6.0.2
# | | +-- nanomatch@1.2.9
# | | | +-- arr-diff@4.0.0
# | | | +-- array-unique@0.3.2
# | | | +-- is-odd@2.0.0
# | | | | `-- is-number@4.0.0
# | | | +-- is-windows@1.0.2
# | | | `-- kind-of@6.0.2
# | | +-- object.pick@1.3.0
# | | | `-- isobject@3.0.1
# | | +-- regex-not@1.0.2
# | | | `-- safe-regex@1.1.0
# | | | `-- ret@0.1.15
# | | +-- snapdragon@0.8.2
# | | | +-- base@0.11.2
# | | | | +-- cache-base@1.0.1
# | | | | | +-- collection-visit@1.0.0
# | | | | | | +-- map-visit@1.0.0
# | | | | | | `-- object-visit@1.0.1
# | | | | | | `-- isobject@3.0.1
# | | | | | +-- get-value@2.0.6
# | | | | | +-- has-value@1.0.0
# | | | | | | +-- has-values@1.0.0
# | | | | | | | +-- is-number@3.0.0
# | | | | | | | | `-- kind-of@3.2.2
# | | | | | | | `-- kind-of@4.0.0
# | | | | | | `-- isobject@3.0.1
# | | | | | +-- isobject@3.0.1
# | | | | | +-- set-value@2.0.0
# | | | | | | `-- extend-shallow@2.0.1
# | | | | | +-- to-object-path@0.3.0
# | | | | | +-- union-value@1.0.0
# | | | | | | `-- set-value@0.4.3
# | | | | | | `-- extend-shallow@2.0.1
# | | | | | `-- unset-value@1.0.0
# | | | | | +-- has-value@0.3.1
# | | | | | | +-- has-values@0.1.4
# | | | | | | `-- isobject@2.1.0
# | | | | | | `-- isarray@1.0.0
# | | | | | `-- isobject@3.0.1
# | | | | +-- class-utils@0.3.6
# | | | | | +-- arr-union@3.1.0
# | | | | | +-- define-property@0.2.5
# | | | | | +-- isobject@3.0.1
# | | | | | `-- static-extend@0.1.2
# | | | | | +-- define-property@0.2.5
# | | | | | `-- object-copy@0.1.0
# | | | | | +-- copy-descriptor@0.1.1
# | | | | | `-- define-property@0.2.5
# | | | | +-- component-emitter@1.2.1
# | | | | +-- define-property@1.0.0
# | | | | | `-- is-descriptor@1.0.2
# | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | +-- is-data-descriptor@1.0.0
# | | | | | `-- kind-of@6.0.2
# | | | | +-- isobject@3.0.1
# | | | | +-- mixin-deep@1.3.1
# | | | | | +-- for-in@1.0.2
# | | | | | `-- is-extendable@1.0.1
# | | | | `-- pascalcase@0.1.1
# | | | +-- define-property@0.2.5
# | | | | `-- is-descriptor@0.1.6
# | | | | +-- is-accessor-descriptor@0.1.6
# | | | | +-- is-data-descriptor@0.1.4
# | | | | `-- kind-of@5.1.0
# | | | +-- extend-shallow@2.0.1
# | | | +-- source-map-resolve@0.5.1
# | | | | +-- atob@2.1.1
# | | | | +-- decode-uri-component@0.2.0
# | | | | +-- resolve-url@0.2.1
# | | | | +-- source-map-url@0.4.0
# | | | | `-- urix@0.1.0
# | | | `-- use@3.1.0
# | | | `-- kind-of@6.0.2
# | | `-- to-regex@3.0.2
# | +-- mkdirp@0.5.1
# | | `-- minimist@0.0.8
# | +-- resolve-from@2.0.0
# | +-- rimraf@2.6.2
# | +-- signal-exit@3.0.2
# | +-- spawn-wrap@1.4.2
# | | +-- os-homedir@1.0.2
# | | `-- which@1.3.0
# | | `-- isexe@2.0.0
# | +-- test-exclude@4.2.1
# | | +-- micromatch@3.1.10
# | | | +-- arr-diff@4.0.0
# | | | +-- array-unique@0.3.2
# | | | +-- braces@2.3.2
# | | | | +-- extend-shallow@2.0.1
# | | | | +-- fill-range@4.0.0
# | | | | | +-- extend-shallow@2.0.1
# | | | | | `-- is-number@3.0.0
# | | | | | `-- kind-of@3.2.2
# | | | | `-- isobject@3.0.1
# | | | +-- extglob@2.0.4
# | | | | +-- define-property@1.0.0
# | | | | | `-- is-descriptor@1.0.2
# | | | | | +-- is-accessor-descriptor@1.0.0
# | | | | | `-- is-data-descriptor@1.0.0
# | | | | +-- expand-brackets@2.1.4
# | | | | | +-- define-property@0.2.5
# | | | | | | `-- is-descriptor@0.1.6
# | | | | | | +-- is-accessor-descriptor@0.1.6
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | +-- is-data-descriptor@0.1.4
# | | | | | | | `-- kind-of@3.2.2
# | | | | | | `-- kind-of@5.1.0
# | | | | | `-- extend-shallow@2.0.1
# | | | | `-- extend-shallow@2.0.1
# | | | `-- kind-of@6.0.2
# | | +-- object-assign@4.1.1
# | | +-- read-pkg-up@1.0.1
# | | | +-- find-up@1.1.2
# | | | `-- read-pkg@1.1.0
# | | | +-- load-json-file@1.1.0
# | | | | +-- parse-json@2.2.0
# | | | | | `-- error-ex@1.3.1
# | | | | | `-- is-arrayish@0.2.1
# | | | | `-- pify@2.3.0
# | | | +-- normalize-package-data@2.4.0
# | | | | +-- hosted-git-info@2.6.0
# | | | | +-- is-builtin-module@1.0.0
# | | | | | `-- builtin-modules@1.1.1
# | | | | `-- validate-npm-package-license@3.0.3
# | | | | +-- spdx-correct@3.0.0
# | | | | | `-- spdx-license-ids@3.0.0
# | | | | `-- spdx-expression-parse@3.0.0
# | | | | `-- spdx-exceptions@2.1.0
# | | | `-- path-type@1.1.0
# | | `-- require-main-filename@1.0.1
# | +-- yargs@11.1.0
# | | +-- cliui@4.1.0
# | | | +-- strip-ansi@4.0.0
# | | | | `-- ansi-regex@3.0.0
# | | | `-- wrap-ansi@2.1.0
# | | | +-- string-width@1.0.2
# | | | | +-- code-point-at@1.1.0
# | | | | `-- is-fullwidth-code-point@1.0.0
# | | | `-- strip-ansi@3.0.1
# | | | `-- ansi-regex@2.1.1
# | | +-- decamelize@1.2.0
# | | +-- get-caller-file@1.0.2
# | | +-- os-locale@2.1.0
# | | | +-- execa@0.7.0
# | | | | +-- cross-spawn@5.1.0
# | | | | | `-- shebang-command@1.2.0
# | | | | | `-- shebang-regex@1.0.0
# | | | | +-- get-stream@3.0.0
# | | | | +-- is-stream@1.1.0
# | | | | +-- npm-run-path@2.0.2
# | | | | | `-- path-key@2.0.1
# | | | | +-- p-finally@1.0.0
# | | | | `-- strip-eof@1.0.0
# | | | +-- lcid@1.0.0
# | | | | `-- invert-kv@1.0.0
# | | | `-- mem@1.1.0
# | | | `-- mimic-fn@1.2.0
# | | +-- require-directory@2.1.1
# | | +-- set-blocking@2.0.0
# | | +-- string-width@2.1.1
# | | | +-- is-fullwidth-code-point@2.0.0
# | | | `-- strip-ansi@4.0.0
# | | | `-- ansi-regex@3.0.0
# | | +-- which-module@2.0.0
# | | +-- y18n@3.2.1
# | | `-- yargs-parser@9.0.2
# | | `-- camelcase@4.1.0
# | `-- yargs-parser@8.1.0
# | `-- camelcase@4.1.0
# +-- prettier-eslint-cli@4.7.1
# | +-- babel-runtime@6.26.0
# | | `-- regenerator-runtime@0.11.1
# | +-- boolify@1.0.1
# | +-- camelcase-keys@4.2.0
# | | +-- camelcase@4.1.0
# | | +-- map-obj@2.0.0
# | | `-- quick-lru@1.1.0
# | +-- chalk@2.3.0
# | | `-- supports-color@4.5.0
# | | `-- has-flag@2.0.0
# | +-- find-up@2.1.0
# | | `-- locate-path@2.0.0
# | | `-- p-locate@2.0.0
# | | `-- p-limit@1.3.0
# | | `-- p-try@1.0.0
# | +-- get-stdin@5.0.1
# | +-- indent-string@3.2.0
# | +-- lodash.memoize@4.1.2
# | +-- loglevel-colored-level-prefix@1.0.0
# | | +-- chalk@1.1.3
# | | | +-- ansi-styles@2.2.1
# | | | `-- supports-color@2.0.0
# | | `-- loglevel@1.6.1
# | +-- messageformat@1.1.1
# | | +-- glob@7.0.6
# | | +-- make-plural@4.3.0
# | | | `-- minimist@1.2.0
# | | +-- messageformat-parser@1.1.0
# | | +-- nopt@3.0.6
# | | | `-- abbrev@1.1.1
# | | `-- reserved-words@0.1.2
# | +-- prettier-eslint@8.8.2
# | | +-- dlv@1.1.2
# | | +-- indent-string@3.2.0
# | | +-- lodash.merge@4.6.1
# | | +-- prettier@1.15.3
# | | +-- require-relative@0.8.7
# | | +-- typescript@2.9.2
# | | +-- typescript-eslint-parser@16.0.1
# | | | +-- lodash.unescape@4.0.1
# | | | `-- semver@5.5.0
# | | `-- vue-eslint-parser@2.0.3
# | +-- rxjs@5.5.12
# | | `-- symbol-observable@1.0.1
# | `-- yargs@10.0.3
# | `-- yargs-parser@8.1.0
# +-- rimraf@2.6.3
# | `-- glob@7.1.3
# +-- supports-color@5.4.0
# | `-- has-flag@3.0.0
# +-- svgo@1.1.1
# | +-- coa@2.0.2
# | | `-- @types/q@1.5.1
# | +-- css-select@2.0.2
# | | +-- boolbase@1.0.0
# | | +-- css-what@2.1.2
# | | +-- domutils@1.7.0
# | | | +-- dom-serializer@0.1.0
# | | | | `-- domelementtype@1.1.3
# | | | `-- domelementtype@1.3.1
# | | `-- nth-check@1.0.2
# | +-- css-select-base-adapter@0.1.1
# | +-- css-tree@1.0.0-alpha.28
# | | +-- mdn-data@1.1.4
# | | `-- source-map@0.5.7
# | +-- css-url-regex@1.1.0
# | +-- csso@3.5.1
# | | `-- css-tree@1.0.0-alpha.29
# | | `-- source-map@0.5.7
# | +-- object.values@1.1.0
# | | +-- define-properties@1.1.3
# | | | `-- object-keys@1.0.12
# | | `-- es-abstract@1.13.0
# | | +-- es-to-primitive@1.2.0
# | | | +-- is-date-object@1.0.1
# | | | `-- is-symbol@1.0.2
# | | | `-- has-symbols@1.0.0
# | | +-- is-callable@1.1.4
# | | `-- is-regex@1.0.4
# | +-- sax@1.2.4
# | +-- stable@0.1.8
# | +-- unquote@1.1.1
# | `-- util.promisify@1.0.0
# | `-- object.getownpropertydescriptors@2.0.3
# +-- through2@2.0.5
# +-- unexpected@10.40.2
# | +-- array-changes@3.0.1
# | | `-- arraydiff-papandreou@0.1.1-patch1
# | +-- array-changes-async@3.0.1
# | | `-- arraydiff-async@0.2.0
# | +-- detect-indent@3.0.1
# | | +-- get-stdin@4.0.1
# | | +-- minimist@1.2.0
# | | `-- repeating@1.1.3
# | | `-- is-finite@1.0.2
# | | `-- number-is-nan@1.0.1
# | +-- diff@1.1.0
# | +-- greedy-interval-packer@1.2.0
# | +-- leven@2.1.0
# | +-- magicpen@5.12.0
# | | +-- ansi-styles@2.0.0
# | | +-- color-diff@0.1.7
# | | `-- supports-color@1.2.0
# | `-- unexpected-bluebird@2.9.34-longstack2
# `-- watchify@3.11.0
# +-- anymatch@1.3.2
# | `-- micromatch@2.3.11
# | +-- arr-diff@2.0.0
# | +-- braces@1.8.5
# | | `-- preserve@0.2.0
# | +-- expand-brackets@0.1.5
# | | `-- is-posix-bracket@0.1.1
# | +-- extglob@0.3.2
# | | `-- is-extglob@1.0.0
# | +-- filename-regex@2.0.1
# | +-- is-extglob@1.0.0
# | +-- is-glob@2.0.1
# | +-- object.omit@2.0.1
# | | `-- for-own@0.1.5
# | +-- parse-glob@3.0.4
# | | +-- glob-base@0.3.0
# | | | +-- glob-parent@2.0.0
# | | | `-- is-glob@2.0.1
# | | | `-- is-extglob@1.0.0
# | | +-- is-dotfile@1.0.3
# | | +-- is-extglob@1.0.0
# | | `-- is-glob@2.0.1
# | `-- regex-cache@0.4.4
# | `-- is-equal-shallow@0.1.3
# | `-- is-primitive@2.0.0
# +-- chokidar@1.7.0
# | +-- glob-parent@2.0.0
# | `-- is-glob@2.0.1
# | `-- is-extglob@1.0.0
# `-- outpipe@1.1.1
# > mocha@5.2.0 test /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha
# > nps test
# nps is executing `test` : nps lint test.node test.browser test.bundle
# nps is executing `lint` : nps lint.code lint.markdown
# nps is executing `lint.code` : eslint . "bin/*"
# /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/karma.conf.js
# 32:10 error Delete `` prettier/prettier
# /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/lib/reporters/html.js
# 236:20 error Replace `stats.tests/runner.total` with `(stats.tests/runner.total)` prettier/prettier
# /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/lib/reporters/landing.js
# 71:33 error Replace `width*++n` with `(width*++n)` prettier/prettier
# /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/lib/runner.js
# 716:7 error Insert `` prettier/prettier
# 717:1 error Insert `` prettier/prettier
# 718:1 error Insert `` prettier/prettier
# /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/lib/utils.js
# 94:5 error Delete `` prettier/prettier
# /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/scripts/docs-update-toc.js
# 19:3 error Delete `` prettier/prettier
# 8 problems (8 errors, 0 warnings)
# 8 errors, 0 warnings potentially fixable with the `--fix` option.
# npm WARN deprecated coffee-script@1.12.7: CoffeeScript on NPM has moved to "coffeescript" (no hyphen)
# npm WARN deprecated gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5
# npm WARN deprecated cryptiles@2.0.5: This version is no longer maintained. Please upgrade to the latest version.
# npm WARN deprecated boom@2.10.1: This version is no longer maintained. Please upgrade to the latest version.
# npm WARN deprecated hoek@2.16.3: This version is no longer maintained. Please upgrade to the latest version.
# npm WARN deprecated circular-json@0.3.3: CircularJSON is in maintenance only, flatted is its successor.
# npm WARN deprecated circular-json@0.5.9: CircularJSON is in maintenance only, flatted is its successor.
# npm WARN deprecated nodemailer@2.7.2: All versions below 4.0.1 of Nodemailer are deprecated. See https://nodemailer.com/status/
# npm WARN deprecated node-uuid@1.4.8: Use uuid module instead
# npm WARN deprecated socks@1.1.9: If using 2.x branch, please upgrade to at least 2.1.6 to avoid a serious bug with socket data flow and an import issue introduced in 2.1.0
# npm WARN deprecated mailcomposer@4.0.1: This project is unmaintained
# npm WARN deprecated buildmail@4.0.1: This project is unmaintained
# npm WARN deprecated uws@9.14.0: stop using this version
# node-pre-gyp WARN Using request for node-pre-gyp https download
# node-pre-gyp ERR! install error
# node-pre-gyp ERR! stack Error: 404 status code downloading tarball https://github.com/chearon/node-canvas-prebuilt/releases/download/v2.0.0-alpha.14/canvas-prebuilt-v2.0.0-alpha.14-node-v48-darwin-unknown-x64.tar.gz
# node-pre-gyp ERR! stack at Request. (/private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/node-pre-gyp/lib/install.js:137:27)
# node-pre-gyp ERR! stack at emitOne (events.js:101:20)
# node-pre-gyp ERR! stack at Request.emit (events.js:188:7)
# node-pre-gyp ERR! stack at Request.onRequestResponse (/private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/request/request.js:1066:10)
# node-pre-gyp ERR! stack at emitOne (events.js:96:13)
# node-pre-gyp ERR! stack at ClientRequest.emit (events.js:188:7)
# node-pre-gyp ERR! stack at HTTPParser.parserOnIncomingClient [as onIncoming] (_http_client.js:478:21)
# node-pre-gyp ERR! stack at HTTPParser.parserOnHeadersComplete (_http_common.js:99:23)
# node-pre-gyp ERR! stack at TLSSocket.socketOnData (_http_client.js:367:20)
# node-pre-gyp ERR! stack at emitOne (events.js:96:13)
# node-pre-gyp ERR! System Darwin 17.7.0
# node-pre-gyp ERR! command "/Users/jenkins/.nvs/node/6.14.4/x64/bin/node" "/private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/.bin/node-pre-gyp" "install"
# node-pre-gyp ERR! cwd /private/var/folders/c6/w26wd_553cd6bnqkr8vj6fym000lj1/T/a1368ad2-1843-4b31-a0dd-18cbcd6c0cc5/mocha/node_modules/canvas-prebuilt
# node-pre-gyp ERR! node -v v6.14.4
# node-pre-gyp ERR! node-pre-gyp -v v0.10.3
# node-pre-gyp ERR! not ok
# info sharp Using cached /Users/jenkins/.npm/_libvips/libvips-8.6.1-darwin-x64.tar.gz
# jpegtran pre-build test passed successfully
# optipng pre-build test passed successfully
# pngcrush pre-build test passed successfully
# pngquant pre-build test passed successfully
# npm WARN eslint-config-pretty-standard@2.0.0 requires a peer of eslint@^5 but none was installed.
# npm WARN acorn-dynamic-import@4.0.0 requires a peer of acorn@^6.0.0 but none was installed.
# npm WARN ajv-keywords@2.1.1 requires a peer of ajv@^5.0.0 but none was installed.
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: canvas-prebuilt@2.0.0-alpha.14 (node_modules/canvas-prebuilt):
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: canvas-prebuilt@2.0.0-alpha.14 install: `node-pre-gyp install`
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1
# The script called "lint.code" which runs "eslint . "bin/*"" failed with exit code 1 https://github.com/kentcdodds/nps/blob/v5.9.3/other/ERRORS_AND_WARNINGS.md
#failed-with-exit-code
# The script called "lint" which runs "nps lint.code lint.markdown" failed with exit code 1 https://github.com/kentcdodds/nps/blob/v5.9.3/other/ERRORS_AND_WARNINGS.md
#failed-with-exit-code
# The script called "test" which runs "nps lint test.node test.browser test.bundle" failed with exit code 1 https://github.com/kentcdodds/nps/blob/v5.9.3/other/ERRORS_AND_WARNINGS.md
#failed-with-exit-code
# npm ERR! Test failed. See above for more details. duration_ms: 202135 ... 1..1